<?php

class ApproveController extends AdmController {

    protected function beforeAction($action) {
        if (parent::beforeAction($action)) {
            Yii::app()->session['sidebar_active'] = 'approve';
            return true;
        }
        return false;
    }

    public function actionIndex() {
        $grids = $this->getGridData('00');
        $this->render('index', array('grids' => $grids, 'approve_status' => '00'));
    }

    public function actionAjaxList() {
        $offset = (isset($_GET['page'])) ? $_GET['page'] : 0;

        $approve_status = $_POST['approve_status'];
        $txtsearch = $_POST['txtsearch'];
        $start_date = MyDate::dateToMysql($_POST['start_date']);
        $end_date = MyDate::dateToMysql($_POST['end_date']);

        $grids = $this->getGridData($approve_status, $txtsearch, $start_date, $end_date, $offset);
        $this->renderPartial('_gridview', array('grids' => $grids));
    }

    public function getGridData($approve_status = '', $txtsearch = '', $start_date = '', $end_date = '', $offset = 0) {
        $user_id = Yii::app()->user->id;

        $sql = "SELECT tb_booking.id, tb_booking.docno, tb_booking.docdate, tb_booking.doctime, tb_booking.car_id,";
        $sql.= " tb_car.`code` as car_code, tb_booking.start_date, tb_booking.end_date, tb_booking.working, ";
        $sql.= " tb_depart.`name` as depart_name, tb_booking.status, tb_booking.read_date, tb_booking.approve_date FROM tb_booking ";
        $sql.= " LEFT JOIN tb_userdepart ON tb_booking.depart_id = tb_userdepart.depart_id";
        $sql.= " LEFT JOIN tb_car ON tb_car.id = tb_booking.car_id";
        $sql.= " LEFT JOIN tb_depart ON tb_depart.id = tb_booking.depart_id";
        $sql.= " WHERE (tb_userdepart.user_id = '$user_id')";
        $sql.= " AND (tb_car.code LIKE '%$txtsearch%' or tb_booking.docno LIKE '%$txtsearch%' or tb_booking.working LIKE '%$txtsearch%')";

        if ($approve_status != '') {
            if ($approve_status == '00') {
                $sql.= " AND (tb_booking.status='0' or tb_booking.status='1')";
            } else {
                $sql.= " AND tb_booking.status='$approve_status'";
            }
        }

        if ($start_date == '')
            $start_date = '0000-00-00';
        if ($end_date == '')
            $end_date = '3000-01-01';

        $sql.= " AND (";
        $sql.= " (date(tb_booking.start_date) between '$start_date' AND '$end_date')";
        $sql.= " OR (date(tb_booking.end_date) between '$start_date' AND '$end_date')";
        $sql.= " OR ('$start_date' between date(tb_booking.start_date) AND date(tb_booking.end_date))";
        $sql.= " OR ('$end_date' between date(tb_booking.start_date) AND date(tb_booking.end_date))";
        $sql.= ")";

        $count = Yii::app()->db->createCommand($sql)->execute();

        $pages = new CPagination($count);
        $pages->route = 'ajaxList';

        $pageLimit = Yii::app()->params['pageSize'];

        if ($offset > 0) {
            $recordStart = ($offset * $pageLimit) - $pageLimit;
        } else {
            $recordStart = 0;
        }

        $pages->pageSize = $pageLimit;
        $sql.= " ORDER BY tb_booking.docdate DESC, tb_booking.doctime DESC, tb_booking.docno DESC";
        $sql.= " limit $recordStart,$pageLimit";
        $models = Yii::app()->db->createCommand($sql)->queryAll();


        return array('models' => $models, 'pages' => $pages, 'count' => $count);
    }

    public function actionUpdate() {
        if (isset($_GET['id'])) {
            $model = Booking::model()->findByPk((int) $_GET['id']);
            if ($model->status == '0') {
                $model->status = '1';
                $model->read_date = date('Y-m-d H:i:s');
                $model->approve_date = date('Y-m-d H:i:s');
                $model->user_approve_id = Yii::app()->user->id;
                $model->save();
            }
        }

        if (isset($_POST['Booking'])) {
            //submit มาจาก form
            $model = Booking::model()->findByPk($_POST['id']);
            $model->attributes = $_POST['Booking'];
            $model->approve_date = date('Y-m-d H:i:s');
            $model->user_approve_id = Yii::app()->user->id;

            if ($model->save()) {
                Yii::app()->user->setFlash('success', 'บันทึกผลการอนุมัติเรียบร้อย');
                $this->redirect(array('/approve'));
            } else {
                Yii::app()->user->setFlash('success', 'ไม่สามารถบันทึกข้อมูลได้เนื่องจาก ' . $model->getErrors());
                $this->redirect(array('update', 'id' => $model->id));
            }
        }
        $this->render('form', array('model' => $model));
    }

}
