<?php

class CalendarController extends Controller {

    protected function beforeAction($action) {
        if (parent::beforeAction($action)) {
            Yii::app()->session['sidebar_active'] = 'calendar';
            return true;
        }
        return false;
    }

    public function actionIndex() {
        $model = Company::model()->find();
        Yii::app()->session['webheader'] = $model->webheader;

        $start_date = date('Y-m-') . "01";

        $calendar = $this->getCalendar($start_date);
        $grids = $this->getGridData($start_date);
        $this->render('index', array('calendar' => $calendar, 'grids' => $grids, 'start_date' => $start_date));
    }

    public function actionAjaxCalendar() {
        $car_id = $_POST['car_id'];
        $start_date = $_POST['start_date'];

        if (isset($_GET['get_year'])) {
            $get_year = $_GET['get_year'];
            $get_month = $_GET['get_month'];
            $currentMonth = "$get_year-$get_month-01";
        } else {
            $currentMonth = $start_date;
        }

        $calendar = $this->getCalendar($currentMonth, $car_id);
        $this->renderPartial('_calendar', array('calendar' => $calendar, 'start_date' => $currentMonth));
    }

    public function getCalendar($currentMonth, $car_id = '') {
        $calendar = new MyCalendar;
        $calendar->page_url = Yii::app()->createUrl('/calendar/ajaxCalendar&');
        $calendar->year_be = true; // ไม่กำหนดก็ได้
        $calendar->language = "thai"; // ไม่กำหนดก็ได
        //สร้างตารางชั่วคราว
        $sql = "
            DROP TEMPORARY TABLE IF EXISTS tmp_calendar;
            CREATE TEMPORARY TABLE IF NOT EXISTS `tmp_calendar` (
                `indate` date NULL
            ) ENGINE = MYISAM DEFAULT CHARSET=utf8 AUTO_INCREMENT=1;
            ";
        Yii::app()->db->createCommand($sql)->execute();

        $start_date = $currentMonth;
        $end_date = date('Y-m-t', strtotime($currentMonth));
        $sql = "SELECT tb_booking.id, tb_booking.start_date, tb_booking.end_date from tb_booking";
        $sql.= " Where (tb_booking.status = '0' or tb_booking.status='1' or tb_booking.status='2' or tb_booking.status='9')";
        if ($car_id != '') {
            $sql.= " AND (tb_booking.car_id='$car_id')";
        }
        $sql.= " AND (";
        $sql.= " (date(tb_booking.start_date) between '$start_date' AND '$end_date')";
        $sql.= " OR (date(tb_booking.end_date) between '$start_date' AND '$end_date')";
        $sql.= " OR ('$start_date' between date(tb_booking.start_date) AND date(tb_booking.end_date))";
        $sql.= " OR ('$end_date' between date(tb_booking.start_date) AND date(tb_booking.end_date))";
        $sql.= ")";

        $models = Yii::app()->db->createCommand($sql)->queryAll();
        foreach ($models as $r) {
            $start_date = date($r['start_date']);
            $end_date = date($r['end_date']);
            $adddate = MyDate::dateDiff($start_date, $end_date);

            $sql = "insert into tmp_calendar (indate) values ('$start_date')";
            Yii::app()->db->createCommand($sql)->execute();
            for ($i = 1; $i <= $adddate; $i++) {
                $start_date = date("Y-m-d", strtotime("+1 day", strtotime($start_date)));
                $sql = "insert into tmp_calendar (indate) values ('$start_date')";
                Yii::app()->db->createCommand($sql)->execute();
            }
        }

        $sql = "select indate from tmp_calendar group by indate order by indate asc";
        $models = Yii::app()->db->createCommand($sql)->queryAll();
        $appointment = array();
        foreach ($models as $r) {
            $indate = $r['indate'];
            $output = "<a href='javascript:void(0)' onclick='showEvent(\"$indate\")'>";
            $output.= "<div class=\"fc-event-inner\">";
            $output.= "<span class=\"fc-event-title\">มีรายการจอง</span>";
            $output.="</div>";
            $output.="</a>";
            $appointment[]['date'][$indate] = $output;
        }
        $calendar->appointment = $appointment;

        return $calendar;
    }

    public function actionAjaxList() {
        $offset = (isset($_GET['page'])) ? $_GET['page'] : 0;
        $car_id = $_POST['car_id'];
        $start_date = $_POST['start_date'];

        $grids = $this->getGridData($start_date, $car_id, $offset);
        $this->renderPartial('_gridview', array('grids' => $grids));
    }

    public function getGridData($start_date, $car_id = '', $offset = 0) {
        $end_date = date('Y-m-t', strtotime($start_date));

        $sql = "SELECT tb_booking.*,tb_car.code as car_code, tb_depart.name as depart_name from tb_booking";
        $sql.= " LEFT JOIN tb_car on tb_booking.car_id = tb_car.id";
        $sql.= " LEFT JOIN tb_depart on tb_booking.depart_id = tb_depart.id";
        $sql.= " Where (tb_booking.status = '0' or tb_booking.status='1' or tb_booking.status='2' or tb_booking.status='9')";
        if ($car_id != '') {
            $sql.= " AND (tb_booking.car_id='$car_id')";
        }
        $sql.= " AND (";
        $sql.= " (date(tb_booking.start_date) between '$start_date' AND '$end_date')";
        $sql.= " OR (date(tb_booking.end_date) between '$start_date' AND '$end_date')";
        $sql.= " OR ('$start_date' between date(tb_booking.start_date) AND date(tb_booking.end_date))";
        $sql.= " OR ('$end_date' between date(tb_booking.start_date) AND date(tb_booking.end_date))";
        $sql.= ")";

        $count = Yii::app()->db->createCommand($sql)->execute();
        $pages = new CPagination($count);
        $pages->route = 'ajaxList';

        $pageLimit = Yii::app()->params['pageSize'];

        if ($offset > 0) {
            $recordStart = ($offset * $pageLimit) - $pageLimit;
        } else {
            $recordStart = 0;
        }

        $pages->pageSize = $pageLimit;
        $sql.= " order by tb_booking.start_date";
        $sql.= " limit $recordStart,$pageLimit";
        $models = Yii::app()->db->createCommand($sql)->queryAll();

        return array('models' => $models, 'pages' => $pages, 'count' => $count);
    }

    public function actionAjaxDetail() {
        $start_date = $_POST['start_date'];
        $car_id = $_POST['car_id'];

        $end_date = $start_date;
        $sql = "SELECT tb_booking.*,tb_car.code as car_code, tb_depart.name as depart_name from tb_booking";
        $sql.= " LEFT JOIN tb_car on tb_booking.car_id = tb_car.id";
        $sql.= " LEFT JOIN tb_depart on tb_booking.depart_id = tb_depart.id";
        $sql.= " Where (tb_booking.status = '0' or tb_booking.status='1' or tb_booking.status='2' or tb_booking.status='9')";
        if ($car_id != '') {
            $sql.= " AND (tb_booking.car_id='$car_id')";
        }
        $sql.= " AND (";
        $sql.= " (date(tb_booking.start_date) between '$start_date' AND '$end_date')";
        $sql.= " OR (date(tb_booking.end_date) between '$start_date' AND '$end_date')";
        $sql.= " OR ('$start_date' between date(tb_booking.start_date) AND date(tb_booking.end_date))";
        $sql.= " OR ('$end_date' between date(tb_booking.start_date) AND date(tb_booking.end_date))";
        $sql.= ")";
        $sql.= " order by tb_booking.start_date";

        $models = Yii::app()->db->createCommand($sql)->queryAll();
        $this->renderPartial('_detail', array('models' => $models));
    }

    //แสดง modal รายละเอียดการจอง
    public function actionAjaxDetailMore() {
        $model = Booking::model()->findByPk($_POST['booking_id']);
        $this->renderPartial('_detail_more', array('model' => $model));
    }

}
