<?php

class CarfileController extends AdmController {

    public function actionIndex() {
        $this->redirect(array('/car/index'));
    }

    public function actionAjaxList() {
        $car_id = $_POST['car_id'];
        $grids = $this->getGridData($car_id);
        $this->renderPartial('//car/_gridview_file', array('grids' => $grids));
    }

    public function getGridData($car_id = '') {
        $criteria = new CDbCriteria;
        $criteria->condition = "car_id=:car_id";
        $criteria->params = array(':car_id' => "$car_id");
        $criteria->order = 'oldfilename asc';

        $models = Carfile::model()->findAll($criteria);

        $count = count($models);
        return array('models' => $models, 'count' => $count);
    }

    public function actionAjaxUpload() {
        $data = array();
        if (isset($_GET['files'])) {
            $error = false;
            $files = array();

            $car_id = $_POST['car_id'];
            $dirArray = Carfile::model()->createDir($car_id);
            foreach ($_FILES as $file) {
                $filename = basename($file['name']);
                $newFileName = $car_id . '_' . date('YmdHis') . '.' . pathinfo($file['name'], PATHINFO_EXTENSION);
                if (move_uploaded_file($file['tmp_name'], $dirArray['upload_dir'] . $newFileName)) {
                    $files[] = $dirArray['upload_dir'] . $file['name'];

                    $model = new Carfile;
                    $model->car_id = $car_id;
                    $model->oldfilename = $filename;
                    $model->filename = $newFileName;
                    $model->path = $dirArray['folder'];
                    $model->comment = ($_POST['comment'] == '') ? $filename : $_POST['comment'];
                    //$model->comment = pathinfo($file['name'], PATHINFO_EXTENSION);
                    $model->save();
                } else {
                    $error = true;
                }
            }
            $data = ($error) ? array('error' => 'There was an error uploading your files') : array('files' => $files);
        } else {
            $data = array('success' => 'Form was submitted', 'formData' => $_POST);
        }

        echo json_encode($data);
    }

    public function actionAjaxDelete() {
        $id = $_POST['id'];
        $model = Carfile::model()->findByPk($_POST['id']);

        $msgText = '';
        if ($model !== NULL) {
            $locationFile = Yii::getPathOfAlias('webroot') . '/' . $model->path . $model->filename;
            if ($model->delete()) {
                if (file_exists($locationFile)) {
                    @unlink($locationFile);
                }
            }
        }
        $data['msgText'] = $msgText;
        echo CJSON::encode($data);
    }

    public function actionDownload() {
        $idfile = base64_decode($_GET['file']);
        $carfile = Carfile::model()->findByPk($idfile);

        $downloadFile = Yii::app()->request->baseUrl . "/" . $carfile->path . $carfile->filename;
        $ext_file = explode(".", $carfile->filename);
        $ext_file = $ext_file[count($ext_file) - 1];

        $file = Yii::getPathOfAlias("webroot") . '/' . $carfile->path . $carfile->filename;
        if (file_exists($file)) {
            header("Content-type: application/$ext_file");
            header('Content-Disposition: inline; filename="' . $carfile->oldfilename . '"');
            header('Content-Length: ' . filesize($file));
            @readfile($file);
            exit;
        }
    }

}
