<?php

class CarreturnController extends AdmController {

    protected function beforeAction($action) {
        if (parent::beforeAction($action)) {
            Yii::app()->session['sidebar_active'] = 'carreturn';
            return true;
        }
        return false;
    }

    public function actionIndex() {
        if (isset($_GET['status'])) {
            $status = (int) $_GET['status'];
            $txtsearch = '';
            $start_date = '';
            $end_date = '';
        } else {
            $status = Yii::app()->session['carreturn_status'];    //สถานะ
            $txtsearch = Yii::app()->session['carreturn_car'];          //ทะเบียนรถ
            $start_date = Yii::app()->session['carreturn_start_date'];      //จากวันใช้งาน
            $end_date = Yii::app()->session['carreturn_end_date'];      //ถึงวันที่ใช้งาน
        }

        $grids = $this->getGridData($txtsearch, $status, $start_date, $end_date);
        $this->render('index', array('grids' => $grids,
            'status' => $status,
            'txtsearch' => $txtsearch,
            'start_date' => $start_date,
            'end_date' => $end_date));
    }

    public function actionAjaxList() {
        $offset = (isset($_GET['page'])) ? $_GET['page'] : 0;

        Yii::app()->session['carreturn_car'] = $_POST['txtsearch'];
        Yii::app()->session['carreturn_status'] = $_POST['status'];
        Yii::app()->session['carreturn_start_date'] = $_POST['start_date'];
        Yii::app()->session['carreturn_end_date'] = $_POST['end_date'];

        $grids = $this->getGridData($_POST['txtsearch'], $_POST['status'], $_POST['start_date'], $_POST['end_date'], $offset);

        $this->renderPartial('_gridview', array('grids' => $grids));
    }

    public function getGridData($txtsearch = '', $status = '', $start_date = '', $end_date = '', $offset = 0) {
        $user_id = Yii::app()->user->id;

        $sql = "SELECT tb_booking.id, tb_booking.docno, tb_booking.docdate, tb_booking.doctime, ";
        $sql .= " tb_car.`code` as car_code, tb_booking.start_date, tb_booking.end_date, tb_booking.working, ";
        $sql .= " tb_depart.`name` as depart_name, tb_booking.status, tb_booking.read_date, tb_booking.approve_date,";
        $sql .= " tb_booking.date_return, tb_booking.date_return_ok FROM tb_booking ";
        $sql .= " INNER JOIN tb_userdepart ON tb_booking.depart_id = tb_userdepart.depart_id";
        $sql .= " LEFT JOIN tb_car ON tb_car.id = tb_booking.car_id";
        $sql .= " LEFT JOIN tb_depart ON tb_depart.id = tb_booking.depart_id";
        $sql .= " WHERE (tb_userdepart.user_id = '$user_id')";
        $sql .= " AND (tb_car.code LIKE '%$txtsearch%' or tb_booking.docno LIKE '%$txtsearch%' or tb_booking.working LIKE '%$txtsearch%')";

        if ($status != '') {
            if ($status == '00') {
                $sql .= " AND (tb_booking.status='5' or tb_booking.status='6')";
            } else {
                $sql .= " AND tb_booking.status='$status'";
            }
        }

        if ($start_date != '' && $end_date != '') {
            $sql .= " AND (tb_booking.date_return >= '$start_date'";
            $sql .= " AND tb_booking.date_return <= '$end_date')";
        } else if ($start_date != '' && $end_date == '') {
            //กรอกแต่วันที่เริ่ม
            $sql .= " AND (tb_booking.date_return >= '$start_date')";
        } else if ($start_date == '' && $end_date != '') {
            //กรอกแต่วันที่สิ้นสุด
            $sql .= " AND (tb_booking.date_return <= '$end_date')";
        }

        $count = Yii::app()->db->createCommand($sql)->execute();

        $pages = new CPagination($count);
        $pages->route = 'ajaxList';

        $pageLimit = Yii::app()->params['pageSize'];

        if ($offset > 0) {
            $recordStart = ($offset * $pageLimit) - $pageLimit;
        } else {
            $recordStart = 0;
        }

        $pages->pageSize = $pageLimit;
        $sql .= " ORDER BY tb_booking.date_return desc, tb_booking.docno desc";
        $sql .= " limit $recordStart,$pageLimit";
        $models = Yii::app()->db->createCommand($sql)->queryAll();


        return array('models' => $models, 'pages' => $pages, 'count' => $count);
    }

    public function actionUpdate() {
        if (isset($_GET['id'])) {
            $model = Booking::model()->findByPk((int) $_GET['id']);
            if ($model->status == '5') {
                $model->date_return_ok = date('Y-m-d H:i:s');
                $model->save();
            }

            $criteria = new CDbCriteria;
            $criteria->condition = "booking_id = :id";
            $criteria->params = array(':id' => (int) $_GET['id']);
            $carwork = Carwork::model()->find($criteria);
        }

        if (isset($_POST['Booking'])) {
            //submit มาจาก form
            $model = Booking::model()->findByPk($_POST['id']);
            $model->attributes = $_POST['Booking'];
            $model->approve_date = date('Y-m-d H:i:s');
            $model->user_return_id = Yii::app()->user->id;
            $model->car_money = MyFn::numberToMySql($model->car_money);
            $model->car_rate = MyFn::numberToMySql($model->car_rate);

            if ($model->save()) {
                Yii::app()->user->setFlash('success', 'บันทึกผลการรับคืนรถเรียบร้อย');
                $this->redirect(array('update', 'id' => $model->id));
            } else {
                Yii::app()->user->setFlash('success', 'ไม่สามารถบันทึกผลการรับคืนรถได้เนื่องจาก ' . $model->getErrors());
                $this->redirect(array('update', 'id' => $model->id));
            }
        }

        $this->render('form', array('model' => $model, 'carwork' => $carwork));
    }

}
