<?php

class CarworkController extends AdmController {

    protected function beforeAction($action) {
        if (parent::beforeAction($action)) {
            Yii::app()->session['sidebar_active'] = 'carwork';
            return true;
        }
        return false;
    }

    public function actionIndex() {
        $carwork_car = Yii::app()->session['carwork_car'];          //ทะเบียนรถ
        $carwork_start_date = Yii::app()->session['carwork_start_date'];      //จากวันใช้งาน
        $carwork_end_date = Yii::app()->session['carwork_end_date'];      //ถึงวันที่ใช้งาน

        $grids = $this->getGridData($carwork_car, $carwork_start_date, $carwork_end_date);
        $this->render('index', array('grids' => $grids,
            'carwork_car' => $carwork_car,
            'carwork_start_date' => $carwork_start_date,
            'carwork_end_date' => $carwork_end_date));
    }

    public function actionAjaxList() {
        $offset = (isset($_GET['page'])) ? $_GET['page'] : 0;

        Yii::app()->session['carwork_car'] = $_POST['txtsearch'];
        Yii::app()->session['carwork_start_date'] = $_POST['start_date'];
        Yii::app()->session['carwork_end_date'] = $_POST['end_date'];

        $grids = $this->getGridData($_POST['txtsearch'], $_POST['start_date'], $_POST['end_date'], $offset);
        $this->renderPartial('_gridview', array('grids' => $grids));
    }

    public function getGridData($carwork_car = '', $carwork_start_date = '', $carwork_end_date = '', $offset = 0) {
        $sql = "SELECT tb_carwork.id, tb_carwork.docno, tb_carwork.docdate, tb_carwork.doctime,";
        $sql .= " tb_carwork.start_date, tb_carwork.start_time, tb_carwork.end_date, tb_carwork.end_time, ";
        $sql .= " tb_car.code as car_code, tb_carwork.person_name, ";
        $sql .= " tb_carwork.working, tb_carwork.booking, tb_carwork.status FROM tb_carwork ";
        $sql .= " LEFT JOIN tb_car ON tb_carwork.car_id = tb_car.id";
        $sql .= " Where (user_save_id='" . Yii::app()->user->id . "')";
        $sql .= " AND (tb_car.code LIKE '%$carwork_car%' or tb_carwork.docno LIKE '%$carwork_car%' or tb_carwork.working LIKE '%$carwork_car%') ";

        if ($carwork_start_date != '' && $carwork_end_date != '') {
            $sql .= " AND (tb_carwork.start_date >= '" . MyDate::dateToMysql($carwork_start_date) . "'";
            $sql .= " AND tb_carwork.end_date <= '" . MyDate::dateToMysql($carwork_end_date) . "')";
        } else if ($carwork_start_date != '' && $carwork_end_date == '') {
            //กรอกแต่วันที่เริ่ม
            $sql .= " AND (tb_carwork.start_date >= '" . MyDate::dateToMysql($carwork_start_date) . "')";
        } else if ($carwork_start_date == '' && $carwork_end_date != '') {
            //กรอกแต่วันที่สิ้นสุด
            $sql .= " AND (tb_carwork.end_date <= '" . MyDate::dateToMysql($carwork_end_date) . "')";
        }


        $count = Yii::app()->db->createCommand($sql)->execute();

        $pages = new CPagination($count);
        $pages->route = 'ajaxList';

        $pageLimit = Yii::app()->params['pageSize'];

        if ($offset > 0) {
            $recordStart = ($offset * $pageLimit) - $pageLimit;
        } else {
            $recordStart = 0;
        }

        $pages->pageSize = $pageLimit;
        $sql .= " Order By tb_carwork.start_date desc, tb_carwork.docno desc, tb_car.code";
        $sql .= " limit $recordStart,$pageLimit";
        $models = Yii::app()->db->createCommand($sql)->queryAll();

        return array('models' => $models, 'pages' => $pages, 'count' => $count);
    }

    public function actionCreate() {
        $model = new Carwork();
        $model->docno = Docprefix::model()->getDocrun(2);
        $model->docdate = date('Y-m-d');
        $model->doctime = date('H:i:s');
        $model->start_date = date('Y-m-d');
        $model->end_date = date('Y-m-d');

        $user = User::model()->findByPk(Yii::app()->user->id);
        $model->person_name = $user->title . $user->firstname . " " . $user->surname;
        $model->depart_id = $user->depart_id;
        $model->tel = $user->tel;
        $this->render('form', array('model' => $model));
    }

    public function actionAjaxValidate() {
        $model = new Carwork;
        $data = $model->checkDuplicate($_POST['id'], $_POST['code']);
        echo CJSON::encode($data);
    }

    public function actionUpdate() {
        $id = (isset($_GET['id'])) ? (int) $_GET['id'] : '';
        $model = Carwork::model()->findByPk($id);

        if (isset($_POST['Carwork'])) {

            if ($_POST['id'] == '') {
                $model = new Carwork;
                $model->date_create = date('Y-m-d H:i:s');
                $model->date_edit = date('Y-m-d H:i:s');
            } else {
                //submit มาจาก form
                $model = Carwork::model()->findByPk($_POST['id']);
                $model->date_edit = date('Y-m-d H:i:s');
            }

            $start_time = $_POST['ddlStartH'] . ":" . $_POST['ddlStartM'];
            $end_time = $_POST['ddlEndH'] . ":" . $_POST['ddlEndM'];

            $model->attributes = $_POST['Carwork'];
            $model->start_date = MyDate::dateToMysql($_POST['Carwork']['start_date']);
            $model->end_date = MyDate::dateToMysql($_POST['Carwork']['end_date']);
            $model->start_time = $start_time;
            $model->end_time = $end_time;
            $model->user_save_id = Yii::app()->user->id;
            $model->booking = $_POST['radBooking'];
            $model->start_km = MyFn::numberToMySql($model->start_km);
            $model->end_km = MyFn::numberToMySql($model->end_km);
            $model->car_rate = MyFn::numberToMySql($model->car_rate);
            $model->car_money = MyFn::numberToMySql($model->car_money);
            $model->discount = MyFn::numberToMySql($model->discount);


            if ($model->save()) {
                if ($model->booking == '1' && $model->booking_id != '') {
                    //บันทึกลงการจอง
                    $booking = Booking::model()->findByPk($model->booking_id);
                    if ($model->status == '1') {
                        if ($booking->status == '2') {
                            $booking->status = 5;
                            $booking->date_return = date('Y-m-d H:i:s');
                        }
                    } else {
                        $booking->status = 2;
                    }
                    $booking->save();
                }

                Yii::app()->user->setFlash('success', 'บันทึกข้อมูลเรียบร้อย');
                $this->redirect(array('update', 'id' => $model->id));
            } else {
                Yii::app()->user->setFlash('save_error', $model->getErrors());
                $this->redirect(array('update', 'id' => $model->id));
            }
        }
        $this->render('form', array('model' => $model));
    }

    public function actionAjaxDelete() {
        $msg = '0';
        $row = Carwork::model()->findByPk($_POST['id']);

        $booking = Booking::model()->findByPk($row->booking_id);
        if ($booking != null) {
            if ($booking->status == '5') {
                $booking->status = '2';
                $booking->save();
            }
        }

        $row->delete();
        $data['msg'] = $msg;
        echo CJSON::encode($data);
    }

    //ดึงค่ารายการจองส่งให้ฟอร์ม บันทึกการใช้รถ
    public function actionAjaxGetBookingDetail() {
        $booking_id = $_POST['booking_id'];
        $model = Booking::model()->findByPk($booking_id);

        $car = Car::model()->findByPk($model->car_id);

        $data = array();
        foreach ($model as $k => $v) {
            $data[$k] = $v;
        }

        $data['car_code'] = $car->code;
        $data['start_date'] = MyDate::dateToText($model->start_date);
        $data['end_date'] = MyDate::dateToText($model->end_date);

        $start_time = date("H:i", strtotime($model->start_date));
        $end_time = date("H:i", strtotime($model->end_date));

        $data['ddlStartH'] = substr($start_time, 0, 2);
        $data['ddlStartM'] = substr($start_time, 3, 2);
        $data['ddlEndH'] = substr($end_time, 0, 2);
        $data['ddlEndM'] = substr($end_time, 3, 2);

        echo CJSON::encode($data);
    }

}
