<?php

class TabianController extends AdmController {

    protected function beforeAction($action) {
        if (parent::beforeAction($action)) {
            Yii::app()->session['sidebar_active'] = 'tabian';
            return true;
        }
        return false;
    }

    public function actionIndex() {
        $datetype = Yii::app()->session['tabian_datetype'];
        $datef = Yii::app()->session['tabian_datef'];
        $datee = Yii::app()->session['tabian_datee'];
        $txtsearch = Yii::app()->session['tabian_txtsearch'];

        $grids = $this->getGridData($txtsearch, $datef, $datee, $datetype);
        $this->render('index', array(
            'grids' => $grids,
            'txtsearch' => $txtsearch,
            'datef' => $datef, 'datee' => $datee,
            'datetype' => $datetype
        ));
    }

    public function actionAjaxList() {
        $offset = (isset($_GET['page'])) ? $_GET['page'] : 0;

        Yii::app()->session['tabian_datetype'] = $_POST['datetype'];
        Yii::app()->session['tabian_datef'] = $_POST['datef'];
        Yii::app()->session['tabian_datee'] = $_POST['datee'];
        Yii::app()->session['tabian_txtsearch'] = $_POST['txtsearch'];

        $grids = $this->getGridData($_POST['txtsearch'], $_POST['datef'], $_POST['datee'], $_POST['datetype'], $offset);
        $this->renderPartial('_gridview', array('grids' => $grids));
    }

    public function getGridData($txtsearch = '', $datef = '', $datee = '', $datetype = '0', $offset = 0) {
        $date_field = 'datefix';
        switch ($datetype) {
            case '1':
                //วันที่เอกสาร
                $date_field = 'docdate';
                break;
            case '2':
                //วันที่ต่อทะเบียน
                $date_field = 'datef';
                break;
            case '3':
                //วันที่หมดอายุ
                $date_field = 'datee';
                break;
        }

        $sql = "SELECT tb_tabian.id, tb_tabian.docno, tb_tabian.docdate, tb_tabian.datef, tb_tabian.datee,";
        $sql .= " tb_car.code as car_code, tb_tabian.price FROM tb_tabian ";
        $sql .= " LEFT JOIN tb_car ON tb_tabian.car_id = tb_car.id";
        $sql .= " Where (tb_car.code LIKE '%$txtsearch%' OR tb_tabian.docno LIKE '%$txtsearch%')";

        if ($datetype != '0') {
            if ($datef != '' && $datee != '') {
                $sql .= " AND (tb_tabian.$date_field >= '" . MyDate::dateToMysql($datef) . "'";
                $sql .= " AND tb_tabian.$date_field <= '" . MyDate::dateToMysql($datee) . "')";
            } else if ($datef != '' && $datee == '') {
                //กรอกแต่วันที่เริ่ม
                $sql .= " AND (tb_tabian.$date_field >= '" . MyDate::dateToMysql($datef) . "')";
            } else if ($datef == '' && $datee != '') {
                //กรอกแต่วันที่สิ้นสุด
                $sql .= " AND (tb_tabian.$date_field <= '" . MyDate::dateToMysql($datee) . "')";
            }
        }

        $count = Yii::app()->db->createCommand($sql)->execute();

        $pages = new CPagination($count);
        $pages->route = 'ajaxList';

        $pageLimit = Yii::app()->params['pageSize'];

        if ($offset > 0) {
            $recordStart = ($offset * $pageLimit) - $pageLimit;
        } else {
            $recordStart = 0;
        }

        $pages->pageSize = $pageLimit;
        $sql .= " Order By tb_tabian.docno asc";
        $sql .= " limit $recordStart,$pageLimit";
        $models = Yii::app()->db->createCommand($sql)->queryAll();
        return array('models' => $models, 'pages' => $pages, 'count' => $count);
    }

    public function actionCreate() {
        $model = new Tabian;
        $model->docno = Docprefix::model()->getDocrun(5);
        $model->docdate = date('Y-m-d');
        $model->datef = date('Y-m-d');
        $model->datee = date('Y-m-d', strtotime('+1 years'));

        $user = User::model()->findByPk(Yii::app()->user->id);
        $model->person_name = $user->title . $user->firstname . " " . $user->surname;
        $this->render('form', array('model' => $model));
    }

    public function actionAjaxValidate() {
        $model = new Tabian;
        $data = $model->checkDuplicate($_POST['id'], $_POST['docno']);
        echo CJSON::encode($data);
    }

    public function actionUpdate() {
        $id = (isset($_GET['id'])) ? (int) $_GET['id'] : '';
        $model = Tabian::model()->findByPk($id);

        if (isset($_POST['Tabian'])) {
            if ($_POST['id'] == '') {
                $model = new Tabian;
                $model->date_create = date('Y-m-d H:i:s');
                $model->date_edit = date('Y-m-d H:i:s');
            } else {
                //submit มาจาก form
                $model = Tabian::model()->findByPk($_POST['id']);
                $model->date_edit = date('Y-m-d H:i:s');
            }

            $model->attributes = $_POST['Tabian'];
            $model->docdate = MyDate::dateToMySql($model->docdate);
            $model->datef = MyDate::dateToMySql($model->datef);
            $model->datee = MyDate::dateToMySql($model->datee);
            $model->user_save_id = Yii::app()->user->id;

            if ($model->save()) {
                $car = Car::model()->findByPk($model->car_id);

                $carUpdate = false;
                if (isset($car->id)) {
                    $carUpdate = true;
                    $carId = $model->car_id;
                    $sql = "select * from tb_tabian where car_id = '$carId' order by datee desc limit 1";
                    $carTabian = Yii::app()->db->createCommand($sql)->queryRow();
                    if (isset($carTabian['id'])) {
                        $car->date_f_code = $carTabian['datef'];
                        $car->date_e_code = $carTabian['datee'];
                        if (!$car->save())
                            $carUpdate = false;
                    } else {
                        $carUpdate = false;
                    }
                }

                if ($carUpdate) {
                    Yii::app()->user->setFlash('success', 'บันทึกข้อมูลเรียบร้อย');
                    $this->redirect(array('update', 'id' => $model->id));
                } else {
                    Yii::app()->user->setFlash('success', 'บันทึกการต่อทะเบียนสำเร็จ แต่ไม่สามารถอัพเดทข้อมูลกลับไปที่ข้อมูลรถได้ ให้ลองลบรายการนี้แล้วทำรายการใหม่');
                    $this->redirect(array('update', 'id' => $model->id));
                }
            } else {
                Yii::app()->user->setFlash('success', 'ไม่สามารถบันทึกข้อมูลได้เนื่องจาก ' . $model->getErrors());
                $this->redirect(array('update', 'id' => $model->id));
            }
        }
        $this->render('form', array('model' => $model));
    }

    public function actionAjaxDelete() {
        $msg = '0';

        $id = (int) $_POST['id'];
        $row = Tabian::model()->findByPk($id);
        $row->delete();
        $data['msg'] = $msg;
        echo CJSON::encode($data);
    }

}
