<?php

class UserController extends AdmController {

    protected function beforeAction($action) {
        if (parent::beforeAction($action)) {
            Yii::app()->session['sidebar_active'] = 'user';
            return true;
        }
        return false;
    }
    
    public function actionIndex() {
        $txtsearch = Yii::app()->session['user_txtsearch'];
        $memtype_id = Yii::app()->session['memtype_txtsearch'];

        $grids = $this->getGridData($txtsearch, $memtype_id);
        $this->render('index', array('grids' => $grids, 'txtsearch' => $txtsearch, 'memtype_id' => $memtype_id));
    }

    public function actionAjaxList() {
        $offset = (isset($_GET['page'])) ? $_GET['page'] : 0;

        Yii::app()->session['user_txtsearch'] = $_POST['txtsearch'];
        Yii::app()->session['memtype_txtsearch'] = $_POST['memtype_id'];

        $grids = $this->getGridData($_POST['txtsearch'], $_POST['memtype_id'], $offset);
        $this->renderPartial('_gridview', array('grids' => $grids));
    }

    public function getGridData($txtsearch = '', $memtype_id = '', $offset = 0) {
        $sql = "SELECT tb_user.id, tb_user.`code`, tb_user.title, tb_user.firstname, tb_user.surname, ";
        $sql.= " tb_user.member_type, tb_depart.`name` as depart_name, tb_user.username FROM tb_user ";
        $sql.= " LEFT JOIN tb_depart ON tb_user.depart_id = tb_depart.id";
        $sql.= " Where ((tb_user.`code` LIKE '%$txtsearch%') or (CONCAT(tb_user.title,tb_user.firstname,' ',tb_user.surname) LIKE '%$txtsearch%')";
        $sql.= " or (tb_depart.`name` LIKE '%$txtsearch%') or (tb_user.username LIKE '%$txtsearch%'))";

        if ($memtype_id != '') {
            $sql.= " AND (tb_user.member_type='$memtype_id')";
        }

        $count = Yii::app()->db->createCommand($sql)->execute();

        $pages = new CPagination($count);
        $pages->route = 'ajaxList';

        $pageLimit = Yii::app()->params['pageSize'];

        if ($offset > 0) {
            $recordStart = ($offset * $pageLimit) - $pageLimit;
        } else {
            $recordStart = 0;
        }

        $pages->pageSize = $pageLimit;
        $sql.= " Order By tb_user.code asc";
        $sql.= " limit $recordStart,$pageLimit";
        $models = Yii::app()->db->createCommand($sql)->queryAll();
        return array('models' => $models, 'pages' => $pages, 'count' => $count);
    }

    public function actionCreate() {
        $model = new User;
        $this->render('form', array('model' => $model));
    }

    public function actionAjaxValidate() {
        $model = new User;
        $data = $model->checkDuplicate($_POST['id'], $_POST['code']);
        echo CJSON::encode($data);
    }

    public function actionUpdate() {
        $id = (isset($_GET['id'])) ? (int)$_GET['id'] : '';
        $model = User::model()->findByPk($id);

        if (isset($_POST['User'])) {

            if ($_POST['id'] == '') {
                $model = new User;
            } else {
                //submit มาจาก form
                $model = User::model()->findByPk($_POST['id']);
            }

            $mydate = new MyDate;
            $model->attributes = $_POST['User'];

            if ($_POST['password'] != '') {
                $model->password = MyFn::hashPassword($_POST['password']);
            }
            if ($model->save()) {
                /* === อัพโหลดไฟล์รูปประจำตัว=== */
                if (isset($_FILES["picture1"])) {
                    $dir = Yii::getPathOfAlias("webroot.fileupload.user");
                    $uploadedFile = CUploadedFile::getInstanceByName("picture1");
                    if ($uploadedFile !== null) {
                        $new_name = $model->id . "." . $uploadedFile->getExtensionName();  //เปลี่ยนชื่อไฟล์

                        $uploadedFile->saveAs($dir . '/' . $new_name);
                        $row = User::model()->findByPk($model->id);

                        $row->picture1 = $new_name;
                        $row->save();     //เก็บข้อมูลลง Database

                        Yii::import('application.extensions.image.Image');
                        $image = new Image($dir . '/' . $new_name);
                        if ($image->width > 150 || $image->height > 150) {
                            $image->resize(150, 150, Image::AUTO);
                            $image->save();
                        }
                    }
                }

                Yii::app()->user->setFlash('success', 'บันทึกข้อมูลเรียบร้อย');
                $this->redirect(array('update', 'id' => $model->id));
            } else {
                Yii::app()->user->setFlash('success', 'ไม่สามารถบันทึกข้อมูลได้เนื่องจาก ' . $model->getErrors());
                $this->redirect(array('update', 'id' => $model->id));
            }
        }
        $this->render('form', array('model' => $model));
    }

    public function actionAjaxDelete() {
        $msg = '0';
        $row = User::model()->findByPk($_POST['id']);
        $row->delete();
        $data['msg'] = $msg;
        echo CJSON::encode($data);
    }

    //เปิด Modal เพื่อเลือกข้อมูล
    public function actionModal() {
        $this->layout = '//layouts/modalwindow/column1';

        $txtsearch = Yii::app()->session['usermodal_txtsearch'];
        $txtmtype = Yii::app()->session['usermodal_mtype'];

        $grids = $this->getGridDataModal($txtsearch, $txtmtype);

        $this->render('modal', array('grids' => $grids,
            'txtsearch' => $txtsearch, 'txtmtype' => $txtmtype));
    }

    public function actionAjaxListModal() {
        $offset = (isset($_GET['page'])) ? $_GET['page'] : 0;

        $txtsearch = $_POST['txtsearch'];
        $txtmtype = $_POST['txtmtype'];
        Yii::app()->session['usermodal_txtsearch'] = $txtsearch;
        Yii::app()->session['usermodal_mtype'] = $txtmtype;

        $grids = $this->getGridDataModal($txtsearch, $txtmtype, $offset);

        $this->renderPartial('_gridview_modal', array('grids' => $grids));
    }

    public function getGridDataModal($txtsearch = '', $memtype_id = '', $offset = 0) {
        $sql = "SELECT tb_user.id, tb_user.`code`, tb_user.title, tb_user.firstname, tb_user.surname, ";
        $sql.= " tb_user.member_type, tb_depart.`name` as depart_name, tb_user.username FROM tb_user ";
        $sql.= " LEFT JOIN tb_depart ON tb_user.depart_id = tb_depart.id";
        $sql.= " Where ((tb_user.`code` LIKE '%$txtsearch%') or (CONCAT(tb_user.title,tb_user.firstname,' ',tb_user.surname) LIKE '%$txtsearch%')";
        $sql.= " or (tb_depart.`name` LIKE '%$txtsearch%'))";

        if ($memtype_id!='') {
            $sql.= " AND (tb_user.member_type='$memtype_id')";
        }

        $count = Yii::app()->db->createCommand($sql)->execute();

        $pages = new CPagination($count);
        $pages->route = 'ajaxList';

        $pageLimit = Yii::app()->params['pageSize'];

        if ($offset > 0) {
            $recordStart = ($offset * $pageLimit) - $pageLimit;
        } else {
            $recordStart = 0;
        }

        $pages->pageSize = $pageLimit;
        $sql.= " Order By tb_user.code asc";
        $sql.= " limit $recordStart,$pageLimit";
        $models = Yii::app()->db->createCommand($sql)->queryAll();
        return array('models' => $models, 'pages' => $pages, 'count' => $count);
    }

}
