<?php

/*
 * รายงานจองใช้รถ
 */

class RptbookingController extends AdmController {

    protected function beforeAction($action) {
        if (parent::beforeAction($action)) {
            Yii::app()->session['sidebar_active'] = 'report';

            if (!isset(Yii::app()->session['rptbooking_start_date'])) {
                Yii::app()->session['rptbooking_start_date'] = MyDate::dateToText(date('Y-m-d'));
                Yii::app()->session['rptbooking_end_date'] = MyDate::dateToText(date('Y-m-d'));
            }
            Yii::app()->session['report_tab'] = 'tab1';
            return true;
        }
        return false;
    }

    //รายงานจองใช้รถ
    public function actionIndex() {
        $start_date = Yii::app()->session['rptbooking_start_date'];
        $end_date = Yii::app()->session['rptbooking_end_date'];

        $this->render('//reportpage/rptbooking', array('start_date' => $start_date, 'end_date' => $end_date));
    }

    public function actionPreview() {
        Yii::app()->session['rptbooking_start_date'] = $_POST['start_date'];
        Yii::app()->session['rptbooking_end_date'] = $_POST['end_date'];

        $report_file = (int) $_POST['report_file'];
        $start_date = MyDate::dateToMySql($_POST['start_date']);
        $end_date = MyDate::dateToMysql($_POST['end_date']);

        $sql = "SELECT tb_booking.id, tb_booking.docno, tb_booking.docdate, tb_booking.doctime,";
        $sql .= " tb_booking.start_date, tb_booking.end_date, tb_booking.status,";
        $sql .= " tb_car.code as car_code, tb_booking.person_name, ";
        $sql .= " tb_booking.working, tb_booking.status, tb_depart.name as depart_name FROM tb_booking ";
        $sql .= " LEFT JOIN tb_car ON tb_booking.car_id = tb_car.id";
        $sql .= " LEFT JOIN tb_depart ON tb_booking.depart_id = tb_depart.id";
        $sql .= " Where (tb_booking.status = '2' or tb_booking.status='5' or tb_booking.status='6')";
        $sql .= " AND (";
        $sql .= " (date(tb_booking.start_date) between '$start_date' AND '$end_date')";
        $sql .= " OR (date(tb_booking.end_date) between '$start_date' AND '$end_date')";
        $sql .= " OR ('$start_date' between date(tb_booking.start_date) AND date(tb_booking.end_date))";
        $sql .= " OR ('$end_date' between date(tb_booking.start_date) AND date(tb_booking.end_date))";
        $sql .= ")";

        $sql .= " Order by tb_booking.start_date asc";
        $models = Yii::app()->db->createCommand($sql)->queryAll();

        $caption = "รายงานจองใช้รถ";
        $tbl = "<div class='caption'>$caption</div>";
        $tbl .= "<div class='caption2'><strong>ระหว่างวันที่</strong> " . MyDate::dateThai($start_date) . " <strong>ถึง</strong> " . MyDate::dateThai($end_date) . "</div>";
        $tbl .= <<<EOD
          <table>
          <thead>
          <tr>            
          <th width='100'>เลขที่ใบจอง</th>
          <th width='100'>ทะเบียน</th>
          <th width='120'>วันที่ใช้รถ</th>
          <th>จองใช้เพื่อ</th>
          <th width='140'>ผู้ขอใช้</th>
          <th width='120'>แผนก</th>
          </tr>
          </thead>
          <tbody>
EOD;
        $irow = 0;
        foreach ($models as $r) {
            $irow++;

            $depart_name = ($r['depart_name'] == null) ? '<span style="color:#d3d3d3">แผนกนี้ถูกลบออกจากระบบ</span>' : $r['depart_name'];

            $tbl .= "<tr>";
            $tbl .= "<td align='center' x:str>" . $r['docno'] . "</td>";
            $tbl .= "<td align='center'>" . $r['car_code'] . "</td>";
            $tbl .= "<td align='center'>";
            $tbl .= "<div>" . MyDate::dateThai($r['start_date'], true) . " " . date("H:i", strtotime($r['start_date'])) . "</div>";
            $tbl .= "<div>" . MyDate::dateThai($r['end_date'], true) . " " . date("H:i", strtotime($r['end_date'])) . "</div>";
            $tbl .= "</td>";
            $tbl .= "<td>" . $r['working'] . "</td>";
            $tbl .= "<td>" . $r['person_name'] . "</td>";
            $tbl .= "<td>$depart_name</td>";
            $tbl .= "</tr>";
        }

        if ($irow > 0) {
            $tbl .= "<tr><td colspan='6' align='center'><b>รวมทั้งหมด $irow รายการ</b></td></tr>";
        } else {
            $tbl .= "<tr><td colspan='6' align='center'>*** ไม่พบข้อมูลตามเงื่อนไข ***</td></tr>";
        }

        $tbl .= "<tbody></table><br/><strong>หมายเหตุ: </strong>แสดงเฉพาะรายการที่อนุมัติ<br/><br/>";
        $tbl .= "<table class='noborder'>";
        $tbl .= "<tr>";
        $tbl .= "<td width='50%' align='center'>";
        $tbl .= "ผู้บันทึก......................................................................<br/><br/>";
        $tbl .= "ตำแหน่ง.....................................................................";
        $tbl .= "</td>";
        $tbl .= "<td width='50%' align='center'>";
        $tbl .= "ผู้ตรวจสอบ...................................................................<br/><br/>";
        $tbl .= "ตำแหน่ง.....................................................................";
        $tbl .= "</td>";
        $tbl .= "</tr>";
        $tbl .= "</table>";
        $rpt = new ReportForm;
        $content = $rpt->getSchoolName();
        $content .= $tbl;

        if ($report_file == '1') {
            $this->renderPartial("//layouts/report_html_a4", array('content' => $content, 'report_name' => 'รายงาน'));
        } else if ($report_file == '2') {
            $mpdf = $rpt->getMPDF();
            $mpdf->WriteHTML($rpt->getCssPdf(), 1);
            $mpdf->WriteHTML($content, 2);
            $mpdf->Output();
        } else {
            $this->renderPartial('//layouts/report_excel', array('content' => $content, 'report_name' => 'รายงาน'));
        }
    }

    //รายงานจองใช้รถ-ตามหน่วยงาน
    public function actionFaculty() {
        $start_date = Yii::app()->session['rptbooking_start_date'];
        $end_date = Yii::app()->session['rptbooking_end_date'];

        $this->render('//reportpage/rptbooking_faculty', array('start_date' => $start_date, 'end_date' => $end_date));
    }

    public function actionFacultyPreview() {
        Yii::app()->session['rptbooking_start_date'] = $_POST['start_date'];
        Yii::app()->session['rptbooking_end_date'] = $_POST['end_date'];

        $report_file = (int) $_POST['report_file'];
        $start_date = MyDate::dateToMySql($_POST['start_date']);
        $end_date = MyDate::dateToMysql($_POST['end_date']);
        $faculty = (isset($_POST['duallistbox_faculty'])) ? implode(",", $_POST['duallistbox_faculty']) : '';

        $sql = "SELECT tb_booking.id, tb_booking.docno, tb_booking.docdate, tb_booking.doctime,";
        $sql .= " tb_booking.start_date, tb_booking.end_date, tb_booking.status,";
        $sql .= " tb_car.code as car_code, tb_booking.person_name, ";
        $sql .= " tb_booking.working, tb_booking.status, tb_depart.name as depart_name,";
        $sql .= " tb_depart.faculty_id, tb_faculty.name as faculty_name FROM tb_booking ";
        $sql .= " LEFT JOIN tb_car ON tb_booking.car_id = tb_car.id";
        $sql .= " LEFT JOIN tb_depart ON tb_booking.depart_id = tb_depart.id";
        $sql .= " LEFT JOIN tb_faculty ON tb_depart.faculty_id = tb_faculty.id";
        $sql .= " Where (tb_booking.status = '2' or tb_booking.status='5' or tb_booking.status='6')";

        if ($faculty != '') {
            $sql .= " AND (tb_depart.faculty_id in($faculty))";
        }

        $sql .= " AND (";
        $sql .= " (date(tb_booking.start_date) between '$start_date' AND '$end_date')";
        $sql .= " OR (date(tb_booking.end_date) between '$start_date' AND '$end_date')";
        $sql .= " OR ('$start_date' between date(tb_booking.start_date) AND date(tb_booking.end_date))";
        $sql .= " OR ('$end_date' between date(tb_booking.start_date) AND date(tb_booking.end_date))";
        $sql .= ")";

        $sql .= " Order by tb_faculty.name asc, tb_booking.start_date asc";
        $models = Yii::app()->db->createCommand($sql)->queryAll();

        $caption = "รายงานจองใช้รถ-ตามหน่วยงาน";
        $tbl = "<div class='caption'>$caption</div>";
        $tbl .= "<div class='caption2'><strong>ระหว่างวันที่</strong> " . MyDate::dateThai($start_date) . " <strong>ถึง</strong> " . MyDate::dateThai($end_date) . "</div>";
        $tbl .= <<<EOD
          <table style="overflow:wrap;">
          <thead>
          <tr>            
          <th width='100'>เลขที่ใบจอง</th>
          <th width='80'>ทะเบียน</th>
          <th width='120'>วันที่ใช้รถ</th>
          <th>จองใช้เพื่อ</th>
          <th width='140'>แผนก</th>
          </tr>
          </thead>
          <tbody>
EOD;
        $irow = 0;
        $irow_fac = 0;
        $faculty_id = '';
        foreach ($models as $r) {
            if ($faculty_id != $r['faculty_id']) {
                if ($irow_fac > 0) {
                    $tbl .= "<tr><td colspan='5' align='center'><b><i>รวม $irow_fac รายการ</i></b></td></tr>";
                    $irow_fac = 0;
                }

                $faculty_name = ($r['faculty_name'] == null) ? '<span style="color:#d3d3d3">หน่วยงานนี้ถูกลบออกจากระบบ</span>' : $r['faculty_name'];
                $tbl .= "<tr>";
                $tbl .= "<td colspan='5'><br/><strong>หน่วยงาน: " . $faculty_name . "<strong></td>";
                $tbl .= "</tr>";
            }

            $irow_fac++;
            $faculty_id = $r['faculty_id'];
            $irow++;

            $depart_name = ( $r['depart_name'] == null) ? '<span style="color:#d3d3d3">แผนกนี้ถูกลบออกจากระบบ</span>' : $r['faculty_name'];
            $tbl .= "<tr>";
            $tbl .= "<td align='center' x:str>" . $r['docno'] . "</td>";
            $tbl .= "<td align='center'>" . $r['car_code'] . "</td>";
            $tbl .= "<td align='center'>";
            $tbl .= "<div>" . MyDate::dateThai($r['start_date'], true) . " " . date("H:i", strtotime($r['start_date'])) . "</div>";
            $tbl .= "<div>" . MyDate::dateThai($r['end_date'], true) . " " . date("H:i", strtotime($r['end_date'])) . "</div>";
            $tbl .= "</td>";
            $tbl .= "<td>" . $r['working'] . "</td>";
            $tbl .= "<td>$depart_name</td>";
            $tbl .= "</tr>";
        }

        if ($irow_fac > 0) {
            $tbl .= "<tr><td colspan='5' align='center'><b><i>รวม $irow_fac รายการ</i></b></td></tr>";
        }

        if ($irow > 0) {
            $tbl .= "<tr><td colspan='5' align='center'><b>รวมทั้งหมด $irow รายการ</b></td></tr>";
        } else {
            $tbl .= "<tr><td colspan='5' align='center'>*** ไม่พบข้อมูลตามเงื่อนไข ***</td></tr>";
        }

        $tbl .= "<tbody></table><br/><strong>หมายเหตุ: </strong>แสดงเฉพาะรายการที่อนุมัติ<br/><br/>";
        $tbl .= "<table class='noborder'>";
        $tbl .= "<tr>";
        $tbl .= "<td width='50%' align='center'>";
        $tbl .= "ผู้บันทึก......................................................................<br/><br/>";
        $tbl .= "ตำแหน่ง.....................................................................";
        $tbl .= "</td>";
        $tbl .= "<td width='50%' align='center'>";
        $tbl .= "ผู้ตรวจสอบ...................................................................<br/><br/>";
        $tbl .= "ตำแหน่ง.....................................................................";
        $tbl .= "</td>";
        $tbl .= "</tr>";
        $tbl .= "</table>";

        $rpt = new ReportForm;
        $content = $rpt->getSchoolName();
        $content .= $tbl;

        if ($report_file == '1') {
            $this->renderPartial("//layouts/report_html_a4", array('content' => $content, 'report_name' => 'รายงาน'));
        } else if ($report_file == '2') {
            $mpdf = $rpt->getMPDF();
            $mpdf->WriteHTML($rpt->getCssPdf(), 1);
            $mpdf->WriteHTML($content, 2);
            $mpdf->Output();
        } else {
            $this->renderPartial('//layouts/report_excel', array('content' => $content, 'report_name' => 'รายงาน'));
        }
    }

    //รายงานจองใช้รถ-ตามแผนก
    public function actionDepart() {
        $start_date = Yii::app()->session['rptbooking_start_date'];
        $end_date = Yii::app()->session['rptbooking_end_date'];

        $this->render('//reportpage/rptbooking_depart', array('start_date' => $start_date, 'end_date' => $end_date));
    }

    public function actionDepartPreview() {
        Yii::app()->session['rptbooking_start_date'] = $_POST['start_date'];
        Yii::app()->session['rptbooking_end_date'] = $_POST['end_date'];

        $report_file = (int) $_POST['report_file'];
        $start_date = MyDate::dateToMySql($_POST['start_date']);
        $end_date = MyDate::dateToMysql($_POST['end_date']);
        $depart = (isset($_POST['duallistbox_depart'])) ? implode(",", $_POST['duallistbox_depart']) : '';

        $sql = "SELECT tb_booking.id, tb_booking.docno, tb_booking.docdate, tb_booking.doctime,";
        $sql .= " tb_booking.start_date, tb_booking.end_date, tb_booking.status,";
        $sql .= " tb_car.code as car_code, tb_booking.person_name, tb_booking.depart_id, ";
        $sql .= " tb_booking.working, tb_booking.status, tb_depart.name as depart_name ";
        $sql .= " FROM tb_booking ";
        $sql .= " LEFT JOIN tb_car ON tb_booking.car_id = tb_car.id";
        $sql .= " LEFT JOIN tb_depart ON tb_booking.depart_id = tb_depart.id";
        $sql .= " Where (tb_booking.status = '2' or tb_booking.status='5' or tb_booking.status='6')";

        if ($depart != '') {
            $sql .= " AND (tb_depart.id in($depart))";
        }

        $sql .= " AND (";
        $sql .= " (date(tb_booking.start_date) between '$start_date' AND '$end_date')";
        $sql .= " OR (date(tb_booking.end_date) between '$start_date' AND '$end_date')";
        $sql .= " OR ('$start_date' between date(tb_booking.start_date) AND date(tb_booking.end_date))";
        $sql .= " OR ('$end_date' between date(tb_booking.start_date) AND date(tb_booking.end_date))";
        $sql .= ")";

        $sql .= " Order by tb_depart.name asc, tb_booking.start_date asc";
        $models = Yii::app()->db->createCommand($sql)->queryAll();

        $caption = "รายงานจองใช้รถ-ตามแผนก";
        $tbl = "<div class='caption'>$caption</div>";
        $tbl .= "<div class='caption2'><strong>ระหว่างวันที่</strong> " . MyDate::dateThai($start_date) . " <strong>ถึง</strong> " . MyDate::dateThai($end_date) . "</div>";
        $tbl .= <<<EOD
          <table style="overflow:wrap;">
          <thead>
          <tr>            
          <th width='100'>เลขที่ใบจอง</th>
          <th width='80'>ทะเบียน</th>
          <th width='120'>วันที่ใช้รถ</th>
          <th>จองใช้เพื่อ</th>
          </tr>
          </thead>
          <tbody>
EOD;
        $irow = 0;
        $irow_depart = 0;
        $depart_id = '';
        foreach ($models as $r) {
            if ($depart_id != $r['depart_id']) {
                if ($irow_depart > 0) {
                    $tbl .= "<tr><td colspan='4' align='center'><b><i>รวม $irow_depart รายการ</i></b></td></tr>";
                    $irow_depart = 0;
                }
                
                $depart_name = ( $r['depart_name'] == null) ? '<span style="color:#d3d3d3">แผนกนี้ถูกลบออกจากระบบ</span>' : $r['faculty_name'];
                $tbl .= "<tr>";
                $tbl .= "<td colspan='4'><br/><strong>แผนก: " . $depart_name . "<strong></td>";
                $tbl .= "</tr>";
            }

            $irow_depart++;
            $depart_id = $r['depart_id'];
            $irow++;
            $tbl .= "<tr>";
            $tbl .= "<td align='center' x:str>" . $r['docno'] . "</td>";
            $tbl .= "<td align='center'>" . $r['car_code'] . "</td>";
            $tbl .= "<td align='center'>";
            $tbl .= "<div>" . MyDate::dateThai($r['start_date'], true) . " " . date("H:i", strtotime($r['start_date'])) . "</div>";
            $tbl .= "<div>" . MyDate::dateThai($r['end_date'], true) . " " . date("H:i", strtotime($r['end_date'])) . "</div>";
            $tbl .= "</td>";
            $tbl .= "<td>" . $r['working'] . "</td>";
            $tbl .= "</tr>";
        }

        if ($irow_depart > 0) {
            $tbl .= "<tr><td colspan='4' align='center'><b><i>รวม $irow_depart รายการ</i></b></td></tr>";
        }

        if ($irow > 0) {
            $tbl .= "<tr><td colspan='4' align='center'><b>รวมทั้งหมด $irow รายการ</b></td></tr>";
        } else {
            $tbl .= "<tr><td colspan='4' align='center'>*** ไม่พบข้อมูลตามเงื่อนไข ***</td></tr>";
        }

        $tbl .= "<tbody></table><br/><strong>หมายเหตุ: </strong>แสดงเฉพาะรายการที่อนุมัติ<br/><br/>";
        $tbl .= "<table class='noborder'>";
        $tbl .= "<tr>";
        $tbl .= "<td width='50%' align='center'>";
        $tbl .= "ผู้บันทึก......................................................................<br/><br/>";
        $tbl .= "ตำแหน่ง.....................................................................";
        $tbl .= "</td>";
        $tbl .= "<td width='50%' align='center'>";
        $tbl .= "ผู้ตรวจสอบ...................................................................<br/><br/>";
        $tbl .= "ตำแหน่ง.....................................................................";
        $tbl .= "</td>";
        $tbl .= "</tr>";
        $tbl .= "</table>";

        $rpt = new ReportForm;
        $content = $rpt->getSchoolName();
        $content .= $tbl;

        if ($report_file == '1') {
            $this->renderPartial("//layouts/report_html_a4", array('content' => $content, 'report_name' => 'รายงาน'));
        } else if ($report_file == '2') {
            $mpdf = $rpt->getMPDF();
            $mpdf->WriteHTML($rpt->getCssPdf(), 1);
            $mpdf->WriteHTML($content, 2);
            $mpdf->Output();
        } else {
            $this->renderPartial('//layouts/report_excel', array('content' => $content, 'report_name' => 'รายงาน'));
        }
    }

    //รายงานสรุปจำนวนจองใช้รถ
    public function actionSummary() {
        $start_date = Yii::app()->session['rptbooking_start_date'];
        $end_date = Yii::app()->session['rptbooking_end_date'];

        $this->render('//reportpage/rptbooking_summary', array('start_date' => $start_date, 'end_date' => $end_date));
    }

    public function actionSummaryPreview() {
        Yii::app()->session['rptbooking_start_date'] = $_POST['start_date'];
        Yii::app()->session['rptbooking_end_date'] = $_POST['end_date'];

        $report_file = (int) $_POST['report_file'];
        $start_date = MyDate::dateToMySql($_POST['start_date']);
        $end_date = MyDate::dateToMysql($_POST['end_date']);

        $sql = "
            DROP TEMPORARY TABLE IF EXISTS tmp_summary;
            CREATE TEMPORARY TABLE IF NOT EXISTS `tmp_summary` (
                `faculty_id` INT NULL,
                `depart_id` INT NULL,
                `faculty_name` VARCHAR( 200 ) NULL,
                `depart_name` VARCHAR( 200 ) NULL,
                `count_row` INT NULL ,
                `count_day` float NULL ,
                `id` INT NOT NULL AUTO_INCREMENT PRIMARY KEY
            ) ENGINE = MYISAM DEFAULT CHARSET=utf8 AUTO_INCREMENT=1;
            ";
        Yii::app()->db->createCommand($sql)->execute();

        $sql = "SELECT tb_booking.id, tb_booking.docno, tb_booking.docdate, tb_booking.doctime,";
        $sql .= " tb_booking.start_date, tb_booking.end_date, tb_booking.status,";
        $sql .= " tb_car.code as car_code, tb_booking.person_name, ";
        $sql .= " tb_booking.working, tb_booking.status, tb_depart.name as depart_name, tb_booking.depart_id,";
        $sql .= " tb_depart.faculty_id, tb_faculty.name as faculty_name FROM tb_booking ";
        $sql .= " LEFT JOIN tb_car ON tb_booking.car_id = tb_car.id";
        $sql .= " LEFT JOIN tb_depart ON tb_booking.depart_id = tb_depart.id";
        $sql .= " LEFT JOIN tb_faculty ON tb_depart.faculty_id = tb_faculty.id";
        $sql .= " Where (tb_booking.status = '2' or tb_booking.status='5' or tb_booking.status='6')";
        $sql .= " AND (";
        $sql .= " (date(tb_booking.start_date) between '$start_date' AND '$end_date')";
        $sql .= " OR (date(tb_booking.end_date) between '$start_date' AND '$end_date')";
        $sql .= " OR ('$start_date' between date(tb_booking.start_date) AND date(tb_booking.end_date))";
        $sql .= " OR ('$end_date' between date(tb_booking.start_date) AND date(tb_booking.end_date))";
        $sql .= ")";

        $sql .= " Order by tb_depart.name asc";

        $models = Yii::app()->db->createCommand($sql)->queryAll();
        foreach ($models as $r) {
            $ts1 = strtotime($r['start_date']);
            $ts2 = strtotime($r['end_date']);
            $seconds_diff = $ts2 - $ts1;
            $count_day = ($seconds_diff / 3600 / 24);

            $faculty_id = ($r['faculty_id'] == null) ? 0 : $r['faculty_id'];
            $faculty_name = ($r['faculty_name'] == null) ? 'หน่วยงานนี้ถูกลบออกจากระบบ' : $r['faculty_name'];
            $depart_id = ( $r['depart_id'] == null) ? 0 : $r['depart_id'];
            $depart_name = ($r['depart_name'] == null) ? 'แผนกนี้ถูกลบออกจากระบบ' : $r['depart_name'];

            $sql = "insert into tmp_summary (faculty_id,depart_id,faculty_name,depart_name,count_row,count_day) values ";
            $sql .= " ('" . $faculty_id . "','" . $depart_id . "','" . $faculty_name . "','" . $depart_name . "',";
            $sql .= " 1,$count_day)";
            Yii::app()->db->createCommand($sql)->execute();
        }

        $sql = "SELECT tmp_summary.faculty_id, 
	tmp_summary.depart_id, 
	tmp_summary.faculty_name, 
	tmp_summary.depart_name, 
	sum(tmp_summary.count_row) AS sumrow, 
	sum(tmp_summary.count_day) AS sumday
FROM tmp_summary
GROUP BY faculty_id,depart_id,faculty_name,depart_name
ORDER BY tmp_summary.faculty_name ASC, tmp_summary.depart_name ASC";

        $models = Yii::app()->db->createCommand($sql)->queryAll();
        $caption = "รายงานสรุปจำนวนจองใช้รถ";
        $tbl = "<div class='caption'>$caption</div>";
        $tbl .= "<div class='caption2'><strong>ระหว่างวันที่</strong> " . MyDate::dateThai($start_date) . " <strong>ถึง</strong> " . MyDate::dateThai($end_date) . "</div>";
        $tbl .= <<<EOD
          <table style="overflow:wrap;">
          <thead>
          <tr>            
          <th>แผนก</th>
          <th width='100'>จำนวนครั้ง</th>
          <th width='100'>จำนวนวัน</th>      
          </tr>
          </thead>
          <tbody>
EOD;
        $irow = 0;
        $irow_fac = 0;
        $faculty_id = '';
        $sumrow = 0;
        $sumday = 0;
        $totalrow = 0;
        $totalday = 0;
        foreach ($models as $r) {
            if ($faculty_id != $r['faculty_id']) {
                if ($irow_fac > 0) {
                    $tbl .= "<tr>";
                    $tbl .= "<td align='right'><b><i>รวม:</i></b></td>";
                    $tbl .= "<td align='center'><b>$sumrow</b></td>";
                    $tbl .= "<td align='center'><b>" . number_format($sumday, 2) . "</b></td>";
                    $tbl .= "</tr>";
                    $irow_fac = 0;
                    $sumrow = 0;
                    $sumday = 0;
                }
                $tbl .= "<tr>";
                $tbl .= "<td colspan='3'><br/><strong>หน่วยงาน: " . $r['faculty_name'] . "<strong></td>";
                $tbl .= "</tr>";
            }

            $faculty_id = $r['faculty_id'];
            $irow_fac++;
            $irow++;

            $sumrow += $r['sumrow'];
            $sumday += $r['sumday'];
            $totalrow += $r['sumrow'];
            $totalday += $r['sumday'];
            $tbl .= "<tr>";
            $tbl .= "<td>" . $r['depart_name'] . "</td>";
            $tbl .= "<td align='center'>" . $r['sumrow'] . "</td>";
            $tbl .= "<td align='center'>" . number_format($r['sumday'], 2) . "</td>";
            $tbl .= "</tr>";
        }

        if ($irow_fac > 0) {
            $tbl .= "<tr>";
            $tbl .= "<td align='right'><b><i>รวม:</i></b></td>";
            $tbl .= "<td align='center'><b>$sumrow</b></td>";
            $tbl .= "<td align='center'><b>" . number_format($sumday, 2) . "</b></td>";
            $tbl .= "</tr>";

            $tbl .= "<tr>";
            $tbl .= "<td align='right'><b>รวมทั้งหมด:</b></td>";
            $tbl .= "<td align='center'><b>" . number_format($totalrow) . "</b></td>";
            $tbl .= "<td align='center'><b>" . number_format($totalday, 2) . "</b></td>";
            $tbl .= "</tr>";
        } else {
            $tbl .= "<tr><td colspan='3' align='center'>*** ไม่พบข้อมูลตามเงื่อนไข ***</td></tr>";
        }

        $tbl .= "<tbody></table><br/><strong>หมายเหตุ: </strong>แสดงเฉพาะรายการที่อนุมัติ<br/><br/>";
        $tbl .= "<table class='noborder'>";
        $tbl .= "<tr>";
        $tbl .= "<td width='50%' align='center'>";
        $tbl .= "ผู้บันทึก......................................................................<br/><br/>";
        $tbl .= "ตำแหน่ง.....................................................................";
        $tbl .= "</td>";
        $tbl .= "<td width='50%' align='center'>";
        $tbl .= "ผู้ตรวจสอบ...................................................................<br/><br/>";
        $tbl .= "ตำแหน่ง.....................................................................";
        $tbl .= "</td>";
        $tbl .= "</tr>";
        $tbl .= "</table>";

        $rpt = new ReportForm;
        $content = $rpt->getSchoolName();
        $content .= $tbl;

        if ($report_file == '1') {
            $this->renderPartial("//layouts/report_html_a4", array('content' => $content, 'report_name' => 'รายงาน'));
        } else if ($report_file == '2') {
            $mpdf = $rpt->getMPDF();
            $mpdf->WriteHTML($rpt->getCssPdf(), 1);
            $mpdf->WriteHTML($content, 2);
            $mpdf->Output();
        } else {
            $this->renderPartial('//layouts/report_excel', array('content' => $content, 'report_name' => 'รายงาน'));
        }
    }

    //รายงานจองใช้รถ-ตามทะเบียนรถ
    public function actionTabian() {
        $start_date = Yii::app()->session['rptbooking_start_date'];
        $end_date = Yii::app()->session['rptbooking_end_date'];

        $this->render('//reportpage/rptbooking_tabian', array('start_date' => $start_date, 'end_date' => $end_date));
    }

    public function actionTabianPreview() {
        Yii::app()->session['rptbooking_start_date'] = $_POST['start_date'];
        Yii::app()->session['rptbooking_end_date'] = $_POST['end_date'];

        $report_file = (int) $_POST['report_file'];
        $start_date = MyDate::dateToMySql($_POST['start_date']);
        $end_date = MyDate::dateToMysql($_POST['end_date']);
        $tabian = (isset($_POST['duallistbox_tabian'])) ? implode(",", $_POST['duallistbox_tabian']) : '';

        $sql = "SELECT tb_booking.id, tb_booking.docno,";
        $sql .= " tb_booking.start_date, tb_booking.end_date, tb_booking.status,";
        $sql .= " tb_car.code as car_code, tb_booking.person_name, ";
        $sql .= " tb_booking.working, tb_booking.status, tb_depart.name as depart_name, tb_booking.car_id";
        $sql .= " FROM tb_booking ";
        $sql .= " LEFT JOIN tb_car ON tb_booking.car_id = tb_car.id";
        $sql .= " LEFT JOIN tb_depart ON tb_booking.depart_id = tb_depart.id";
        $sql .= " Where (tb_booking.status = '2' or tb_booking.status='5' or tb_booking.status='6')";

        if ($tabian != '') {
            $sql .= " AND (tb_car.id in($tabian))";
        }

        $sql .= " AND (";
        $sql .= " (date(tb_booking.start_date) between '$start_date' AND '$end_date')";
        $sql .= " OR (date(tb_booking.end_date) between '$start_date' AND '$end_date')";
        $sql .= " OR ('$start_date' between date(tb_booking.start_date) AND date(tb_booking.end_date))";
        $sql .= " OR ('$end_date' between date(tb_booking.start_date) AND date(tb_booking.end_date))";
        $sql .= ")";

        $sql .= " Order by tb_car.code asc, tb_booking.start_date asc";
        $models = Yii::app()->db->createCommand($sql)->queryAll();

        $caption = "รายงานจองใช้รถ-ตามทะเบียนรถ";
        $tbl = "<div class='caption'>$caption</div>";
        $tbl .= "<div class='caption2'><strong>ระหว่างวันที่</strong> " . MyDate::dateThai($start_date) . " <strong>ถึง</strong> " . MyDate::dateThai($end_date) . "</div>";
        $tbl .= <<<EOD
          <table style="overflow:wrap;">
          <thead>
          <tr>            
          <th width='100'>เลขที่ใบจอง</th>
          <th width='120'>วันที่ใช้รถ</th>
          <th>จองใช้เพื่อ</th>
          <th width='140'>แผนก</th>
          </tr>
          </thead>
          <tbody>
EOD;
        $irow = 0;
        $irow_car = 0;
        $car_id = '';
        foreach ($models as $r) {
            if ($car_id != $r['car_id']) {
                if ($irow_car > 0) {
                    $tbl .= "<tr><td colspan='4' align='center'><b><i>รวม $irow_car รายการ</i></b></td></tr>";
                    $irow_car = 0;
                }
                $tbl .= "<tr>";
                $tbl .= "<td colspan='4'><br/><strong>ทะเบียนรถ: " . $r['car_code'] . "<strong></td>";
                $tbl .= "</tr>";
            }

            $irow_car++;
            $car_id = $r['car_id'];
            $irow++;
            
            $depart_name = ($r['depart_name']==null) ? '<span style="color:#d3d3d3">แผนกนี้ถูกลบออกจากระบบ</span>' : $r['depart_name'];
            $tbl .= "<tr>";
            $tbl .= "<td align='center' x:str>" . $r['docno'] . "</td>";
            $tbl .= "<td align='center'>";
            $tbl .= "<div>" . MyDate::dateThai($r['start_date'], true) . " " . date("H:i", strtotime($r['start_date'])) . "</div>";
            $tbl .= "<div>" . MyDate::dateThai($r['end_date'], true) . " " . date("H:i", strtotime($r['end_date'])) . "</div>";
            $tbl .= "</td>";
            $tbl .= "<td>" . $r['working'] . "</td>";
            $tbl .= "<td>$depart_name</td>";
            $tbl .= "</tr>";
        }

        if ($irow_car > 0) {
            $tbl .= "<tr><td colspan='4' align='center'><b><i>รวม $irow_car รายการ</i></b></td></tr>";
        }

        if ($irow > 0) {
            $tbl .= "<tr><td colspan='4' align='center'><b>รวมทั้งหมด $irow รายการ</b></td></tr>";
        } else {
            $tbl .= "<tr><td colspan='4' align='center'>*** ไม่พบข้อมูลตามเงื่อนไข ***</td></tr>";
        }

        $tbl .= "<tbody></table><br/><strong>หมายเหตุ: </strong>แสดงเฉพาะรายการที่อนุมัติ<br/><br/>";
        $tbl .= "<table class='noborder'>";
        $tbl .= "<tr>";
        $tbl .= "<td width='50%' align='center'>";
        $tbl .= "ผู้บันทึก......................................................................<br/><br/>";
        $tbl .= "ตำแหน่ง.....................................................................";
        $tbl .= "</td>";
        $tbl .= "<td width='50%' align='center'>";
        $tbl .= "ผู้ตรวจสอบ...................................................................<br/><br/>";
        $tbl .= "ตำแหน่ง.....................................................................";
        $tbl .= "</td>";
        $tbl .= "</tr>";
        $tbl .= "</table>";

        $rpt = new ReportForm;
        $content = $rpt->getSchoolName();
        $content .= $tbl;

        if ($report_file == '1') {
            $this->renderPartial("//layouts/report_html_a4", array('content' => $content, 'report_name' => 'รายงาน'));
        } else if ($report_file == '2') {
            $mpdf = $rpt->getMPDF();
            $mpdf->WriteHTML($rpt->getCssPdf(), 1);
            $mpdf->WriteHTML($content, 2);
            $mpdf->Output();
        } else {
            $this->renderPartial('//layouts/report_excel', array('content' => $content, 'report_name' => 'รายงาน'));
        }
    }

    //รายงานสรุปจำนวนจองใช้รถ-ตามทะเบียนรถ
    public function actionTabianSummary() {
        $start_date = Yii::app()->session['rptbooking_start_date'];
        $end_date = Yii::app()->session['rptbooking_end_date'];

        $this->render('//reportpage/rptbooking_tabian_summary', array('start_date' => $start_date, 'end_date' => $end_date));
    }

    public function actionTabianSummaryPreview() {
        Yii::app()->session['rptbooking_start_date'] = $_POST['start_date'];
        Yii::app()->session['rptbooking_end_date'] = $_POST['end_date'];

        $report_file = (int) $_POST['report_file'];
        $start_date = MyDate::dateToMySql($_POST['start_date']);
        $end_date = MyDate::dateToMysql($_POST['end_date']);

        //สร้างตารางชั่วคราว
        $sql = "
            DROP TEMPORARY TABLE IF EXISTS tmp_tabiansummary;
            CREATE TEMPORARY TABLE IF NOT EXISTS `tmp_tabiansummary` (
                `car_code` VARCHAR( 20 ) NULL ,
                `count_row` INT NULL ,
                `count_day` float NULL ,
                `id` INT NOT NULL AUTO_INCREMENT PRIMARY KEY
            ) ENGINE = MYISAM DEFAULT CHARSET=utf8 AUTO_INCREMENT=1;
            ";
        Yii::app()->db->createCommand($sql)->execute();

        $sql = "SELECT tb_booking.id,tb_car.code as car_code,tb_booking.start_date,tb_booking.end_date FROM tb_booking ";
        $sql .= " LEFT JOIN tb_car ON tb_booking.car_id = tb_car.id";
        $sql .= " Where (tb_booking.status = '2' or tb_booking.status='5' or tb_booking.status='6')";
        $sql .= " AND (";
        $sql .= " (date(tb_booking.start_date) between '$start_date' AND '$end_date')";
        $sql .= " OR (date(tb_booking.end_date) between '$start_date' AND '$end_date')";
        $sql .= " OR ('$start_date' between date(tb_booking.start_date) AND date(tb_booking.end_date))";
        $sql .= " OR ('$end_date' between date(tb_booking.start_date) AND date(tb_booking.end_date))";
        $sql .= ")";

        $sql .= " Order by tb_car.code asc";
        $models = Yii::app()->db->createCommand($sql)->queryAll();

        foreach ($models as $r) {
            $ts1 = strtotime($r['start_date']);
            $ts2 = strtotime($r['end_date']);
            $seconds_diff = $ts2 - $ts1;
            $count_day = ($seconds_diff / 3600 / 24);

            $car_code = ($r['car_code'] == null) ? 'ทะเบียนนี้ถูกลบออกจากระบบ' : $r['car_code'];
            $sql = "insert into tmp_tabiansummary (car_code,count_row,count_day) values ";
            $sql .= " ('" . $car_code . "',1,$count_day)";
            Yii::app()->db->createCommand($sql)->execute();
        }

        $sql = "SELECT tmp_tabiansummary.car_code, 
	sum(tmp_tabiansummary.count_row) AS sumrow, 
	sum(tmp_tabiansummary.count_day) AS sumday
FROM tmp_tabiansummary
GROUP BY car_code
ORDER BY tmp_tabiansummary.car_code ASC";

        $models = Yii::app()->db->createCommand($sql)->queryAll();
        $caption = "รายงานสรุปจำนวนจองใช้รถ-ตามทะเบียนรถ";
        $tbl = "<div class='caption'>$caption</div>";
        $tbl .= "<div class='caption2'><strong>ระหว่างวันที่</strong> " . MyDate::dateThai($start_date) . " <strong>ถึง</strong> " . MyDate::dateThai($end_date) . "</div>";
        $tbl .= <<<EOD
          <table style="overflow:wrap;">
          <thead>
          <tr>            
          <th>ทะเบียนรถ</th>
          <th width='100'>จำนวนครั้ง</th>
          <th width='100'>จำนวนวัน</th>      
          </tr>
          </thead>
          <tbody>
EOD;
        $irow = 0;
        $totalrow = 0;
        $totalday = 0;
        foreach ($models as $r) {
            $irow++;

            $totalrow += $r['sumrow'];
            $totalday += $r['sumday'];
            $tbl .= "<tr>";
            $tbl .= "<td>" . $r['car_code'] . "</td>";
            $tbl .= "<td align='center'>" . $r['sumrow'] . "</td>";
            $tbl .= "<td align='center'>" . number_format($r['sumday'], 2) . "</td>";
            $tbl .= "</tr>";
        }

        if ($irow > 0) {
            $tbl .= "<tr>";
            $tbl .= "<td align='right'><b>รวมทั้งหมด:</b></td>";
            $tbl .= "<td align='center'><b>" . number_format($totalrow) . "</b></td>";
            $tbl .= "<td align='center'><b>" . number_format($totalday, 2) . "</b></td>";
            $tbl .= "</tr>";
        } else {
            $tbl .= "<tr><td colspan='3' align='center'>*** ไม่พบข้อมูลตามเงื่อนไข ***</td></tr>";
        }

        $tbl .= "<tbody></table><br/><strong>หมายเหตุ: </strong>แสดงเฉพาะรายการที่อนุมัติ<br/><br/>";
        $tbl .= "<table class='noborder'>";
        $tbl .= "<tr>";
        $tbl .= "<td width='50%' align='center'>";
        $tbl .= "ผู้บันทึก......................................................................<br/><br/>";
        $tbl .= "ตำแหน่ง.....................................................................";
        $tbl .= "</td>";
        $tbl .= "<td width='50%' align='center'>";
        $tbl .= "ผู้ตรวจสอบ...................................................................<br/><br/>";
        $tbl .= "ตำแหน่ง.....................................................................";
        $tbl .= "</td>";
        $tbl .= "</tr>";
        $tbl .= "</table>";
        $rpt = new ReportForm;
        $content = $rpt->getSchoolName();
        $content .= $tbl;

        if ($report_file == '1') {
            $this->renderPartial("//layouts/report_html_a4", array('content' => $content, 'report_name' => 'รายงาน'));
        } else if ($report_file == '2') {
            $mpdf = $rpt->getMPDF();
            $mpdf->WriteHTML($rpt->getCssPdf(), 1);
            $mpdf->WriteHTML($content, 2);
            $mpdf->Output();
        } else {
            $this->renderPartial('//layouts/report_excel', array('content' => $content, 'report_name' => 'รายงาน'));
        }
    }

    //รายงานจองใช้รถ-ตามพนักงานขับรถ
    public function actionDriver() {
        $start_date = Yii::app()->session['rptbooking_start_date'];
        $end_date = Yii::app()->session['rptbooking_end_date'];

        $this->render('//reportpage/rptbooking_driver', array('start_date' => $start_date, 'end_date' => $end_date));
    }

    public function actionDriverPreview() {
        Yii::app()->session['rptbooking_start_date'] = $_POST['start_date'];
        Yii::app()->session['rptbooking_end_date'] = $_POST['end_date'];

        $report_file = (int) $_POST['report_file'];
        $start_date = MyDate::dateToMySql($_POST['start_date']);
        $end_date = MyDate::dateToMysql($_POST['end_date']);
        $driver = (isset($_POST['duallistbox_driver'])) ? implode(",", $_POST['duallistbox_driver']) : '';

        $sql = "SELECT tb_booking.id, tb_booking.docno,";
        $sql .= " tb_booking.start_date, tb_booking.end_date, tb_booking.status,";
        $sql .= " tb_car.code as car_code, tb_booking.person_name, ";
        $sql .= " tb_booking.working, tb_booking.status, tb_depart.name as depart_name, tb_booking.car_id, tb_booking.driver_id";
        $sql .= " FROM tb_booking ";
        $sql .= " LEFT JOIN tb_car ON tb_booking.car_id = tb_car.id";
        $sql .= " LEFT JOIN tb_depart ON tb_booking.depart_id = tb_depart.id";
        $sql .= " Where (tb_booking.status = '2' or tb_booking.status='5' or tb_booking.status='6')";

        if ($driver != '') {
            $sql .= " AND (tb_booking.driver_id in($driver))";
        }

        $sql .= " AND (";
        $sql .= " (date(tb_booking.start_date) between '$start_date' AND '$end_date')";
        $sql .= " OR (date(tb_booking.end_date) between '$start_date' AND '$end_date')";
        $sql .= " OR ('$start_date' between date(tb_booking.start_date) AND date(tb_booking.end_date))";
        $sql .= " OR ('$end_date' between date(tb_booking.start_date) AND date(tb_booking.end_date))";
        $sql .= ")";

        $sql .= " Order by tb_booking.driver_id asc, tb_booking.start_date asc";
        $models = Yii::app()->db->createCommand($sql)->queryAll();

        $caption = "รายงานจองใช้รถ-ตามพนักงานขับรถ";
        $tbl = "<div class='caption'>$caption</div>";
        $tbl .= "<div class='caption2'><strong>ระหว่างวันที่</strong> " . MyDate::dateThai($start_date) . " <strong>ถึง</strong> " . MyDate::dateThai($end_date) . "</div>";
        $tbl .= <<<EOD
          <table style="overflow:wrap;">
          <thead>
          <tr>            
          <th width='100'>เลขที่ใบจอง</th>
          <th width='120'>วันที่ใช้รถ</th>
          <th width='100'>ทะเบียนรถ</th>
          <th>จองใช้เพื่อ</th>
          <th width='140'>แผนก</th>
          </tr>
          </thead>
          <tbody>
EOD;
        $irow = 0;
        $irow_driver = 0;
        $driver_id = 'xsm';
        foreach ($models as $r) {
            if ($driver_id != $r['driver_id']) {
                if ($irow_driver > 0) {
                    $tbl .= "<tr><td colspan='5' align='center'><b><i>รวม $irow_driver รายการ</i></b></td></tr>";
                    $irow_driver = 0;
                }

                $driver = Driver::model()->findByPk($r['driver_id']);
                $driver_name = '<span style="color:#d3d3d3">ไม่มีพนักงานขับรถ</span>';
                if ($driver !== NULL) {
                    $tel = ($driver->tel != '') ? " ($driver->tel)" : '';
                    $driver_name = $driver->title . $driver->firstname . " " . $driver->surname . $tel;
                }

                $tbl .= "<tr>";
                $tbl .= "<td colspan='5'><br/><strong>พนักงานขับรถ: $driver_name<strong></td>";
                $tbl .= "</tr>";
            }

            $irow_driver++;
            $driver_id = $r['driver_id'];
            $irow++;
            
            $depart_name = ($r['depart_name']==null) ? '<span style="color:#d3d3d3">แผนกนี้ถูกลบออกจากระบบ</span>' : $r['depart_name'];
            $tbl .= "<tr>";
            $tbl .= "<td align='center' x:str>" . $r['docno'] . "</td>";
            $tbl .= "<td align='center'>";
            $tbl .= "<div>" . MyDate::dateThai($r['start_date'], true) . " " . date("H:i", strtotime($r['start_date'])) . "</div>";
            $tbl .= "<div>" . MyDate::dateThai($r['end_date'], true) . " " . date("H:i", strtotime($r['end_date'])) . "</div>";
            $tbl .= "</td>";
            $tbl .= "<td align='center' x:str>" . $r['car_code'] . "</td>";
            $tbl .= "<td>" . $r['working'] . "</td>";
            $tbl .= "<td>$depart_name</td>";
            $tbl .= "</tr>";
        }

        if ($irow_driver > 0) {
            $tbl .= "<tr><td colspan='5' align='center'><b><i>รวม $irow_driver รายการ</i></b></td></tr>";
        }

        if ($irow > 0) {
            $tbl .= "<tr><td colspan='5' align='center'><b>รวมทั้งหมด $irow รายการ</b></td></tr>";
        } else {
            $tbl .= "<tr><td colspan='5' align='center'>*** ไม่พบข้อมูลตามเงื่อนไข ***</td></tr>";
        }

        $tbl .= "<tbody></table><br/><strong>หมายเหตุ: </strong>แสดงเฉพาะรายการที่อนุมัติ<br/><br/>";
        $tbl .= "<table class='noborder'>";
        $tbl .= "<tr>";
        $tbl .= "<td width='50%' align='center'>";
        $tbl .= "ผู้บันทึก......................................................................<br/><br/>";
        $tbl .= "ตำแหน่ง.....................................................................";
        $tbl .= "</td>";
        $tbl .= "<td width='50%' align='center'>";
        $tbl .= "ผู้ตรวจสอบ...................................................................<br/><br/>";
        $tbl .= "ตำแหน่ง.....................................................................";
        $tbl .= "</td>";
        $tbl .= "</tr>";
        $tbl .= "</table>";

        $rpt = new ReportForm;
        $content = $rpt->getSchoolName();
        $content .= $tbl;

        if ($report_file == '1') {
            $this->renderPartial("//layouts/report_html_a4", array('content' => $content, 'report_name' => 'รายงาน'));
        } else if ($report_file == '2') {
            $mpdf = $rpt->getMPDF();
            $mpdf->WriteHTML($rpt->getCssPdf(), 1);
            $mpdf->WriteHTML($content, 2);
            $mpdf->Output();
        } else {
            $this->renderPartial('//layouts/report_excel', array('content' => $content, 'report_name' => 'รายงาน'));
        }
    }

    //รายงานสรุปจำนวนจองใช้รถ-ตามพนักงานขับรถ
    public function actionDriverSummary() {
        $start_date = Yii::app()->session['rptbooking_start_date'];
        $end_date = Yii::app()->session['rptbooking_end_date'];

        $this->render('//reportpage/rptbooking_driver_summary', array('start_date' => $start_date, 'end_date' => $end_date));
    }

    public function actionDriverSummaryPreview() {
        Yii::app()->session['rptbooking_start_date'] = $_POST['start_date'];
        Yii::app()->session['rptbooking_end_date'] = $_POST['end_date'];

        $report_file = (int) $_POST['report_file'];
        $start_date = MyDate::dateToMySql($_POST['start_date']);
        $end_date = MyDate::dateToMysql($_POST['end_date']);

        //สร้างตารางชั่วคราว
        $sql = "
            DROP TEMPORARY TABLE IF EXISTS tmp_driversummary;
            CREATE TEMPORARY TABLE IF NOT EXISTS `tmp_driversummary` (
                `driver_id` INT NULL ,
                `count_row` INT NULL ,
                `count_day` float NULL ,
                `id` INT NOT NULL AUTO_INCREMENT PRIMARY KEY
            ) ENGINE = MYISAM DEFAULT CHARSET=utf8 AUTO_INCREMENT=1
            ";
        Yii::app()->db->createCommand($sql)->execute();

        $sql = "SELECT tb_booking.id,tb_booking.start_date,tb_booking.end_date, tb_booking.driver_id FROM tb_booking ";
        $sql .= " Where (tb_booking.status = '2' or tb_booking.status='5' or tb_booking.status='6')";
        $sql .= " AND (";
        $sql .= " (date(tb_booking.start_date) between '$start_date' AND '$end_date')";
        $sql .= " OR (date(tb_booking.end_date) between '$start_date' AND '$end_date')";
        $sql .= " OR ('$start_date' between date(tb_booking.start_date) AND date(tb_booking.end_date))";
        $sql .= " OR ('$end_date' between date(tb_booking.start_date) AND date(tb_booking.end_date))";
        $sql .= ")";

        $sql .= " Order by tb_booking.driver_id asc";
        $models = Yii::app()->db->createCommand($sql)->queryAll();

        foreach ($models as $r) {
            $ts1 = strtotime($r['start_date']);
            $ts2 = strtotime($r['end_date']);
            $seconds_diff = $ts2 - $ts1;
            $count_day = ($seconds_diff / 3600 / 24);

            $driver_id = ($r['driver_id'] == null) ? 0 : $r['driver_id'];
            $sql = "insert into tmp_driversummary (driver_id,count_row,count_day) values ";
            $sql .= " ('" . $driver_id . "',1,$count_day)";
            Yii::app()->db->createCommand($sql)->execute();
        }

        $sql = "SELECT driver_id, 
	sum(count_row) AS sumrow, 
	sum(count_day) AS sumday
FROM tmp_driversummary
GROUP BY driver_id
ORDER BY driver_id ASC";

        $models = Yii::app()->db->createCommand($sql)->queryAll();
        $caption = "รายงานสรุปจำนวนจองใช้รถ-ตามพนักงานขับรถ";
        $tbl = "<div class='caption'>$caption</div>";
        $tbl .= "<div class='caption2'><strong>ระหว่างวันที่</strong> " . MyDate::dateThai($start_date) . " <strong>ถึง</strong> " . MyDate::dateThai($end_date) . "</div>";
        $tbl .= <<<EOD
          <table style="overflow:wrap;">
          <thead>
          <tr>            
          <th>พนักงานขับรถ</th>
          <th width='100'>จำนวนครั้ง</th>
          <th width='100'>จำนวนวัน</th>      
          </tr>
          </thead>
          <tbody>
EOD;
        $irow = 0;
        $totalrow = 0;
        $totalday = 0;
        foreach ($models as $r) {
            $irow++;

            $totalrow += $r['sumrow'];
            $totalday += $r['sumday'];

            $driver = Driver::model()->findByPk($r['driver_id']);
            $driver_name = '<span style="color:#d3d3d3">ไม่มีพนักงานขับรถ</span>';
            if ($driver !== NULL) {
                $tel = ($driver->tel != '') ? " ($driver->tel)" : '';
                $driver_name = $driver->title . $driver->firstname . " " . $driver->surname . $tel;
            }

            $tbl .= "<tr>";
            $tbl .= "<td>$driver_name</td>";
            $tbl .= "<td align='center'>" . $r['sumrow'] . "</td>";
            $tbl .= "<td align='center'>" . number_format($r['sumday'], 2) . "</td>";
            $tbl .= "</tr>";
        }

        if ($irow > 0) {
            $tbl .= "<tr>";
            $tbl .= "<td align='right'><b>รวมทั้งหมด:</b></td>";
            $tbl .= "<td align='center'><b>" . number_format($totalrow) . "</b></td>";
            $tbl .= "<td align='center'><b>" . number_format($totalday, 2) . "</b></td>";
            $tbl .= "</tr>";
        } else {
            $tbl .= "<tr><td colspan='3' align='center'>*** ไม่พบข้อมูลตามเงื่อนไข ***</td></tr>";
        }

        $tbl .= "<tbody></table><br/><strong>หมายเหตุ: </strong>แสดงเฉพาะรายการที่อนุมัติ<br/><br/>";
        $tbl .= "<table class='noborder'>";
        $tbl .= "<tr>";
        $tbl .= "<td width='50%' align='center'>";
        $tbl .= "ผู้บันทึก......................................................................<br/><br/>";
        $tbl .= "ตำแหน่ง.....................................................................";
        $tbl .= "</td>";
        $tbl .= "<td width='50%' align='center'>";
        $tbl .= "ผู้ตรวจสอบ...................................................................<br/><br/>";
        $tbl .= "ตำแหน่ง.....................................................................";
        $tbl .= "</td>";
        $tbl .= "</tr>";
        $tbl .= "</table>";
        $rpt = new ReportForm;
        $content = $rpt->getSchoolName();
        $content .= $tbl;

        if ($report_file == '1') {
            $this->renderPartial("//layouts/report_html_a4", array('content' => $content, 'report_name' => 'รายงาน'));
        } else if ($report_file == '2') {
            $mpdf = $rpt->getMPDF();
            $mpdf->WriteHTML($rpt->getCssPdf(), 1);
            $mpdf->WriteHTML($content, 2);
            $mpdf->Output();
        } else {
            $this->renderPartial('//layouts/report_excel', array('content' => $content, 'report_name' => 'รายงาน'));
        }
    }

}
