<?php

/*
 * รายงานรถ
 */

class RptcarController extends AdmController {

    protected function beforeAction($action) {
        if (parent::beforeAction($action)) {
            Yii::app()->session['sidebar_active'] = 'report';

            if (!isset(Yii::app()->session['rptcar_start_date'])) {
                Yii::app()->session['rptcar_start_date'] = MyDate::dateToText(date('Y-m-d'));
                Yii::app()->session['rptcar_end_date'] = MyDate::dateToText(date('Y-m-d'));
            }
            Yii::app()->session['report_tab'] = 'tab3';
            return true;
        }
        return false;
    }

    //รายชื่อรถ
    public function actionIndex() {
        $this->render('//reportpage/rptcar');
    }

    public function actionPreview() {
        $report_file = (int) $_POST['report_file'];
        $tabian = (isset($_POST['duallistbox_tabian'])) ? implode(",", $_POST['duallistbox_tabian']) : '';
        $status = $_POST['status'];

        if ($status == '0') {
            $sql = "select tb_car.code, tb_car.model, tb_car.color, tb_province.name as prov_name,";
            $sql.= " tb_cartype.name as cartype_name, tb_brand.name as brand_name from tb_car";
            $sql.= " LEFT JOIN tb_province ON tb_car.prov_code = tb_province.code";
            $sql.= " LEFT JOIN tb_cartype ON tb_car.cartype_id = tb_cartype.id";
            $sql.= " LEFT JOIN tb_brand ON tb_car.brand_id = tb_brand.id";
            if ($tabian != '') {
                $sql.= " WHERE (tb_car.id in($tabian))";
            }
            $sql.= " Order by tb_car.code asc";

            $models = Yii::app()->db->createCommand($sql)->queryAll();
            $caption = "รายการรถ";
            $tbl = "<div class='caption'>$caption</div>";
            $tbl.= <<<EOD
          <table style="overflow:wrap;font-size:9pt">
          <thead>
          <tr>            
          <th width='90'>ทะเบียน</th>
          <th width='90'>จังหวัด</th>
          <th width='80'>ประเภทรถ</th>
          <th width='80'>ยี่ห้อรถ</th>
          <th>รุ่น</th>
          <th width='80'>สี</th>
          </tr>
          </thead>
          <tbody>
EOD;
            $irow = 0;
            foreach ($models as $r) {
                $irow++;
                $tbl.="<tr>";
                $tbl.="<td align='center' x:str>" . $r['code'] . "</td>";
                $tbl.="<td>" . $r['prov_name'] . "</td>";
                $tbl.="<td align='center'>" . $r['cartype_name'] . "</td>";
                $tbl.="<td align='center'>" . $r['brand_name'] . "</td>";
                $tbl.="<td>" . $r['model'] . "</td>";
                $tbl.="<td>" . $r['color'] . "</td>";
                $tbl.="</tr>";
            }

            if ($irow > 0) {
                $tbl.="<tr><td colspan='6' align='center'><b>รวมทั้งหมด $irow รายการ</b></td></tr>";
            } else {
                $tbl.="<tr><td colspan='6' align='center'>*** ไม่พบข้อมูลตามเงื่อนไข ***</td></tr>";
            }
            $tbl.="</tbody></table>";

            $rpt = new ReportForm;
            $content = $rpt->getSchoolName();
            $content.= $tbl;

            if ($report_file == '1') {
                $this->renderPartial("//layouts/report_html_a4", array('content' => $content, 'report_name' => 'รายงาน'));
            } else if ($report_file == '2') {
                $mpdf = $rpt->getMPDF();
                $mpdf->WriteHTML($rpt->getCssPdf(), 1);
                $mpdf->WriteHTML($content, 2);
                $mpdf->Output();
            } else {
                $this->renderPartial('//layouts/report_excel', array('content' => $content, 'report_name' => 'รายงาน'));
            }
        } else {
            //แสดงข้อมูลรถแบบละเอียด
            $this->previewDetail($report_file, $tabian);
        }
    }

    //แสดงข้อมูลรถแบบละเอียด
    public function previewDetail($report_file, $tabian) {
        $sql = "select tb_car.*, tb_province.name as prov_name,";
        $sql.= " tb_cartype.name as cartype_name, tb_brand.name as brand_name,";
        $sql.= " tb_oil.name as oil_name from tb_car";
        $sql.= " LEFT JOIN tb_province ON tb_car.prov_code = tb_province.code";
        $sql.= " LEFT JOIN tb_cartype ON tb_car.cartype_id = tb_cartype.id";
        $sql.= " LEFT JOIN tb_brand ON tb_car.brand_id = tb_brand.id";
        $sql.= " LEFT JOIN tb_oil ON tb_car.oil_id = tb_oil.id";
        if ($tabian != '') {
            $sql.= " WHERE (tb_car.id in($tabian))";
        }
        $sql.= " Order by tb_car.code asc";

        $models = Yii::app()->db->createCommand($sql)->queryAll();
        $caption = "ข้อมูลรถ";
        $irow = 0;

        $tbl = '';
        foreach ($models as $r) {
            $status_text = 'ปกติ';
            switch ($r['status']) {
                case '1':
                    $status_text = 'ซ่อมแซม';
                    break;
                case '2':
                    $status_text = 'งดให้บริการชั่วคราว';
                    break;
                case '3':
                    $status_text = 'ยกเลิกใช้';
                    break;
            }

            if ($irow > 0) {
                $tbl.="<div class='page-break'></div><pagebreak />";
            }

            $irow++;
            $tbl.= "<div class='caption2'>ข้อมูลรถทะเบียน " . $r['code'] . "&nbsp;&nbsp;" . $r['prov_name'] . "</div><br/>";
            $tbl.="<table style='overflow:wrap;'>";
            $tbl.="<tr>";
            $tbl.="<td width='110'><b>ทะเบียน</b></td>";
            $tbl.="<td>" . $r['code'] . "</td>";
            $tbl.="<td width='110'><b>จังหวัด</b></td>";
            $tbl.="<td>" . $r['prov_name'] . "</td>";
            $tbl.="</tr>";

            $tbl.="<tr>";
            $tbl.="<td><b>หมายเลขรถ</b></td>";
            $tbl.="<td>" . $r['carno'] . "</td>";
            $tbl.="<td><b>สถานะ</b></td>";
            $tbl.="<td>$status_text</td>";
            $tbl.="</tr>";

            $tbl.="<tr>";
            $tbl.="<td><b>ประเภทรถ</b></td>";
            $tbl.="<td>" . $r['cartype_name'] . "</td>";
            $tbl.="<td><b>ยี่ห้อ</b></td>";
            $tbl.="<td>" . $r['brand_name'] . "</td>";
            $tbl.="</tr>";

            $tbl.="<tr>";
            $tbl.="<td><b>เชื้อเพลิง</b></td>";
            $tbl.="<td>" . $r['oil_name'] . "</td>";
            $tbl.="<td><b>สี</b></td>";
            $tbl.="<td>" . $r['color'] . "</td>";
            $tbl.="</tr>";

            $tbl.="<tr>";
            $tbl.="<td><b>รุ่น</b></td>";
            $tbl.="<td colspan='3'>" . $r['model'] . "</td>";
            $tbl.="</tr>";

            $tbl.="<tr>";
            $tbl.="<td><b>เลขเครื่อง</b></td>";
            $tbl.="<td>" . $r['machine_no'] . "</td>";
            $tbl.="<td><b>เลขตัวถัง</b></td>";
            $tbl.="<td>" . $r['machine_tank'] . "</td>";
            $tbl.="</tr>";

            $tbl.="<tr>";
            $tbl.="<td><b>ราคา</b></td>";
            $tbl.="<td>" . number_format($r['price']) . "&nbsp;&nbsp;<b>บาท</b></td>";
            $tbl.="<td><b>อัตราค่าเช่า</b></td>";
            $tbl.="<td>" . number_format($r['rate'], 2) . "&nbsp;&nbsp;<b>บาท:นาที</b></td>";
            $tbl.="</tr>";

            $tbl.="<tr>";
            $tbl.="<td><b>วันที่ซื้อ</b></td>";
            $tbl.="<td>" . MyDate::dateThaiLong($r['date_buy']) . "</td>";
            $tbl.="<td><b>วันที่รับเข้า</b></td>";
            $tbl.="<td>" . MyDate::dateThaiLong($r['date_in']) . "</td>";
            $tbl.="</tr>";

            $tbl.="<tr>";
            $tbl.="<td><b>วันที่จดทะเบียน</b></td>";
            $tbl.="<td>" . MyDate::dateThaiLong($r['date_f_code']) . "</td>";
            $tbl.="<td><b>ทะเบียนหมดอายุ</b></td>";
            $tbl.="<td>" . MyDate::dateThaiLong($r['date_e_code']) . "</td>";
            $tbl.="</tr>";

            $tbl.="<tr>";
            $tbl.="<td><b>วันทำ พ.ร.บ.</b></td>";
            $tbl.="<td>" . MyDate::dateThaiLong($r['date_f_cpi']) . "</td>";
            $tbl.="<td><b>พ.ร.บ. หมดอายุ</b></td>";
            $tbl.="<td>" . MyDate::dateThaiLong($r['date_e_cpi']) . "</td>";
            $tbl.="</tr>";

            $tbl.="<tr>";
            $tbl.="<td><b>วันทำประกันภัย</b></td>";
            $tbl.="<td>" . MyDate::dateThaiLong($r['date_f_insure']) . "</td>";
            $tbl.="<td><b>ประกันภัยหมดอายุ</b></td>";
            $tbl.="<td>" . MyDate::dateThaiLong($r['date_e_insure']) . "</td>";
            $tbl.="</tr>";

            $insurer = Insurer::model()->findByPk($r['insurer_id']);
            $insurer_name = '';
            if ($insurer != null) {
                $insurer_name = $insurer->name;
            }
            $tbl.="<tr>";
            $tbl.="<td><b>บริษัทประกันภัย</b></td>";
            $tbl.="<td colspan='3'>$insurer_name</td>";
            $tbl.="</tr>";

            $tbl.="<tr>";
            $tbl.="<td><b>เพิ่มเติม</b></td>";
            $tbl.="<td colspan='3'>" . $r['comment'] . "</td>";
            $tbl.="</tr>";

            $tbl.="</tbody></table>";
        }

        if ($irow == 0) {
            $tbl = "<div style='text-align:center'><b>***  ไม่มีข้อมูลตามเงื่อนไข ***</b></div>";
        }
        $rpt = new ReportForm;
        $content = $rpt->getSchoolName();
        $content.= $tbl;

        if ($report_file == '1') {
            $this->renderPartial("//layouts/report_html_a4", array('content' => $content, 'report_name' => 'รายงาน'));
        } else if ($report_file == '2') {
            $mpdf = $rpt->getMPDF();
            $mpdf->WriteHTML($rpt->getCssPdf(), 1);
            $mpdf->WriteHTML($content, 2);
            $mpdf->Output();
        } else {
            $this->renderPartial('//layouts/report_excel', array('content' => $content, 'report_name' => 'รายงาน'));
        }
    }

    //รายงานทะเบียน, พ.ร.บ. และประกันภัยหมดอายุ
    public function actionOutdate() {
        $start_date = Yii::app()->session['rptcar_start_date'];
        $this->render('//reportpage/rptcar_outdate', array('start_date' => $start_date));
    }

    public function actionOutdatePreview() {
        Yii::app()->session['rptcar_start_date'] = $_POST['start_date'];

        $report_file = (int) $_POST['report_file'];
        $start_date = MyDate::dateToMySql($_POST['start_date']);

        $criteria = new CDbCriteria();
        $criteria->condition = "date_e_code <= '$start_date' or date_e_cpi <= '$start_date' or date_e_insure <= '$start_date'";
        $criteria->order = "code asc";
        $models = Car::model()->findAll($criteria);
        $caption = "รายงานทะเบียน, พ.ร.บ. และประกันภัยหมดอายุ";
        $tbl = "<div class='caption'>$caption</div>";
        $tbl.= "<div class='caption2'><strong>หมดอายุ ณ วันที่</strong> " . MyDate::dateThai($start_date) . "</div>";
        $tbl.= <<<EOD
          <table style="overflow:wrap;font-size:9pt">
          <thead>
          <tr>            
          <th width='90' rowspan='2'>ทะเบียน</th>
          <th colspan='2'>จดทะเบียน</th>
          <th colspan='2'>พ.ร.บ.</th>
          <th colspan='2'>ประกันภัย</th>
          <th rowspan='2'>บริษัทประกัน</th>
          </tr>
          <tr>
          <th width='70'>วันที่จด</th>
          <th width='70'>หมดอายุ</th>
          <th width='70'>วันที่จด</th>
          <th width='70'>หมดอายุ</th>
          <th width='70'>วันที่จด</th>
          <th width='70'>หมดอายุ</th>
          </tr>
          </thead>
          <tbody>
EOD;
        $irow = 0;
        foreach ($models as $r) {
            $irow++;
            $e_code = ($r->date_e_code <= $start_date) ? 'style="color:red"' : '';
            $e_cpi = ($r->date_e_cpi <= $start_date) ? 'style="color:red"' : '';
            $e_insurer = ($r->date_e_insure <= $start_date) ? 'style="color:red"' : '';

            $insurer = Insurer::model()->findByPk($r['insurer_id']);
            $insurer_name = '';
            if ($insurer != null) {
                $insurer_name = $insurer->name;
            }

            $tbl.="<tr>";
            $tbl.="<td align='center' x:str>$r->code</td>";
            $tbl.="<td align='center'>" . MyDate::dateToText($r->date_f_code) . "</td>";
            $tbl.="<td align='center' $e_code>" . MyDate::dateToText($r->date_e_code) . "</td>";
            $tbl.="<td align='center'>" . MyDate::dateToText($r->date_f_cpi) . "</td>";
            $tbl.="<td align='center' $e_cpi>" . MyDate::dateToText($r->date_e_cpi) . "</td>";
            $tbl.="<td align='center'>" . MyDate::dateToText($r->date_f_insure) . "</td>";
            $tbl.="<td align='center' $e_insurer>" . MyDate::dateToText($r->date_e_insure) . "</td>";
            $tbl.="<td>$insurer_name</td>";
            $tbl.="</tr>";
        }

        if ($irow > 0) {
            $tbl.="<tr><td colspan='8' align='center'><b>รวมทั้งหมด $irow รายการ</b></td></tr>";
        } else {
            $tbl.="<tr><td colspan='8' align='center'>*** ไม่พบข้อมูลตามเงื่อนไข ***</td></tr>";
        }
        $tbl.="</tbody></table>";

        $rpt = new ReportForm;
        $content = $rpt->getSchoolName();
        $content.= $tbl;

        if ($report_file == '1') {
            $this->renderPartial("//layouts/report_html_a4", array('content' => $content, 'report_name' => 'รายงาน'));
        } else if ($report_file == '2') {
            $mpdf = $rpt->getMPDF();
            $mpdf->WriteHTML($rpt->getCssPdf(), 1);
            $mpdf->WriteHTML($content, 2);
            $mpdf->Output();
        } else {
            $this->renderPartial('//layouts/report_excel', array('content' => $content, 'report_name' => 'รายงาน'));
        }
    }

    //รายงานการซ่อมบำรุง
    public function actionCarfix() {
        $start_date = Yii::app()->session['rptcar_start_date'];
        $end_date = Yii::app()->session['rptcar_end_date'];

        $this->render('//reportpage/rptcar_fix', array('start_date' => $start_date, 'end_date' => $end_date));
    }

    public function actionCarfixPreview() {
        Yii::app()->session['rptcar_start_date'] = $_POST['start_date'];
        Yii::app()->session['rptcar_end_date'] = $_POST['end_date'];

        $report_file = (int) $_POST['report_file'];
        $start_date = MyDate::dateToMySql($_POST['start_date']);
        $end_date = MyDate::dateToMysql($_POST['end_date']);

        $tabian = (isset($_POST['duallistbox_tabian'])) ? implode(",", $_POST['duallistbox_tabian']) : '';
        $status = $_POST['status'];

        if ($status == '0') {
            $sql = "select tb_carfix.id, tb_car.code as car_code, tb_carfix.car_id, tb_carfix.docno, tb_carfix.datefix,";
            $sql.= "tb_carfix.dateprocess, tb_carfix.datecomplete, tb_garage.name as garage_name, tb_depart.name as depart_name,";
            $sql.= " tb_carfix.person_name from tb_carfix";
            $sql.= " LEFT JOIN tb_car ON tb_carfix.car_id = tb_car.id";
            $sql.= " LEFT JOIN tb_garage ON tb_carfix.garage_id = tb_garage.id";
            $sql.= " LEFT JOIN tb_depart ON tb_carfix.depart_id = tb_depart.id";
            $sql.= " Where tb_carfix.datefix between '$start_date' AND '$end_date'";

            if ($tabian != '') {
                $sql.= " AND (tb_car.id in($tabian))";
            }
            $sql.= " Order by tb_carfix.docno asc";

            $models = Yii::app()->db->createCommand($sql)->queryAll();
            $caption = "รายการซ่อมบำรุง";
            $tbl = "<div class='caption'>$caption</div>";
            $tbl.= <<<EOD
          <table style="overflow:wrap;font-size:9pt">
          <thead>
          <tr>            
          <th width='100'>เลขที่เอกสาร</th>
          <th width='80'>ทะเบียน</th>
          <th width='80'>วันที่ส่งซ่อม</th>
          <th width='80'>คาดว่าเสร็จ</th>
          <th width='80'>ซ่อมเสร็จจริง</th>
          <th>อู่ซ่อม</th>
          <th width='140'>ค่าใช้จ่ายแผนก</th>
          <th width='140'>ผู้ส่งซ่อม</th>
          <th width='90'>ค่าใช้จ่าย</th>
          </tr>
          </thead>
          <tbody>
EOD;
            $irow = 0;
            $total = 0;
            foreach ($models as $r) {
                $sql = "select sum(price * qty) as sumPrice from tb_carfix_sub where carfix_id='" . $r['id'] . "'";
                $row = Yii::app()->db->createCommand($sql)->queryRow();

                $irow++;
                $total+=$row['sumPrice'];
                $tbl.="<tr>";
                $tbl.="<td align='center' x:str>" . $r['docno'] . "</td>";
                $tbl.="<td align='center' x:str>" . $r['car_code'] . "</td>";
                $tbl.="<td align='center'>" . MyDate::dateThaiShort($r['datefix']) . "</td>";
                $tbl.="<td align='center'>" . MyDate::dateThaiShort($r['dateprocess']) . "</td>";
                $tbl.="<td align='center'>" . MyDate::dateThaiShort($r['datecomplete']) . "</td>";
                $tbl.="<td>" . $r['garage_name'] . "</td>";
                $tbl.="<td>" . $r['depart_name'] . "</td>";
                $tbl.="<td>" . $r['person_name'] . "</td>";
                $tbl.="<td align='right'>" . number_format($row['sumPrice'],2) . "</td>";
                $tbl.="</tr>";
            }

            if ($irow > 0) {
                $tbl.="<tr><td colspan='8' align='right'><b>รวมค่าใช้จ่าย</b></td><td align='right'><b>" . number_format($total,2) . "</b></td></tr>";
                $tbl.="<tr><td colspan='9' align='center'><b>รวมทั้งหมด $irow รายการ</b></td></tr>";
            } else {
                $tbl.="<tr><td colspan='9' align='center'>*** ไม่พบข้อมูลตามเงื่อนไข ***</td></tr>";
            }
             $tbl.="<tbody></table><br/>";
            $tbl.="<table class='noborder'>";
            $tbl.="<tr>";
            $tbl.="<td width='50%' align='center'>";
            $tbl.="ผู้บันทึก......................................................................<br/><br/>";
            $tbl.="ตำแหน่ง.....................................................................";
            $tbl.="</td>";
            $tbl.="<td width='50%' align='center'>";
            $tbl.="ผู้ตรวจสอบ...................................................................<br/><br/>";
            $tbl.="ตำแหน่ง.....................................................................";
            $tbl.="</td>";
            $tbl.="</tr>";
            $tbl.="</table>";

            $rpt = new ReportForm;
            $content = $rpt->getSchoolName();
            $content.= $tbl;

            if ($report_file == '1') {
                $this->renderPartial("//layouts/report_html_a4l", array('content' => $content, 'report_name' => 'รายงาน'));
            } else if ($report_file == '2') {
                $mpdf = $rpt->getMPDF('A4-L');
                $mpdf->WriteHTML($rpt->getCssPdf(), 1);
                $mpdf->WriteHTML($content, 2);
                $mpdf->Output();
            } else {
                $this->renderPartial('//layouts/report_excel', array('content' => $content, 'report_name' => 'รายงาน'));
            }
        } else {
            //แสดงข้อมูลรถแบบละเอียด
            $this->carfixPreviewDetail($report_file, $tabian, $start_date, $end_date);
        }
    }

    //แสดงข้อมูลรถแบบละเอียด
    public function carfixPreviewDetail($report_file, $tabian, $start_date, $end_date) {
        $sql = "select tb_carfix.*, tb_car.code as car_code, tb_garage.name as garage_name, tb_depart.name as depart_name";
        $sql.= " from tb_carfix";
        $sql.= " LEFT JOIN tb_car ON tb_carfix.car_id = tb_car.id";
        $sql.= " LEFT JOIN tb_garage ON tb_carfix.garage_id = tb_garage.id";
        $sql.= " LEFT JOIN tb_depart ON tb_carfix.depart_id = tb_depart.id";
        $sql.= " Where tb_carfix.datefix between '$start_date' AND '$end_date'";
        if ($tabian != '') {
            $sql.= " AND (tb_car.id in($tabian))";
        }
        $sql.= " Order by tb_carfix.docno asc";

        $models = Yii::app()->db->createCommand($sql)->queryAll();
        $caption = "รายละเอียดซ่อมบำรุง";
        $irow = 0;
        $tbl = "";
        foreach ($models as $r) {
            if ($irow > 0) {
                $tbl.="<div class='page-break'></div><pagebreak />";
            }

            $irow++;
            $tbl.="<div class='caption2'>$caption</div><br/>";
            $tbl.="<table style='overflow:wrap;' class='noborder'>";
            $tbl.="<tr>";
            $tbl.="<td width='110'><b>เลขที่เอกสาร</b></td>";
            $tbl.="<td width='210'>" . $r['docno'] . "</td>";
            $tbl.="<td width='110'><b>เอกสารอ้างอิง</b></td>";
            $tbl.="<td>" . $r['docref'] . "</td>";
            $tbl.="</tr>";

            $tbl.="<tr>";
            $tbl.="<td><b>ทะเบียน</b></td>";
            $tbl.="<td>" . $r['car_code'] . "</td>";
            $tbl.="<td><b>อู่ซ่อม</b></td>";
            $tbl.="<td>" . $r['garage_name'] . "</td>";
            $tbl.="</tr>";

            $tbl.="<tr>";
            $tbl.="<td><b>วันที่ส่งซ่อม</b></td>";
            $tbl.="<td>" . MyDate::dateThaiLong($r['datefix']) . "</td>";
            $tbl.="<td><b>คาดว่าเสร็จ</b></td>";
            $tbl.="<td>" . MyDate::dateThaiLong($r['dateprocess']) . "</td>";
            $tbl.="</tr>";

            $tbl.="<tr>";
            $tbl.="<td><b>ซ่อมเสร็จจริง</b></td>";
            $tbl.="<td>" . MyDate::dateThaiLong($r['datecomplete']) . "</td>";
            $tbl.="<td><b>เลขไมล์ส่งซ่อม</b></td>";
            $tbl.="<td>" . number_format($r['km']) . "</td>";
            $tbl.="</tr>";

            $tbl.="<tr>";
            $tbl.="<td><b>ค่าใช้จ่ายแผนก</b></td>";
            $tbl.="<td>" . $r['depart_name'] . "</td>";
            $tbl.="<td><b>ผู้ส่งซ่อม</b></td>";
            $tbl.="<td>" . $r['person_name'] . "</td>";
            $tbl.="</tr>";

            $tbl.="<tr>";
            $tbl.="<td><b>อาการ/หมายเหตุ</b></td>";
            $tbl.="<td colspan='3'>" . $r['comment'] . "</td>";
            $tbl.="</tr>";
            $tbl.="</tbody></table>";

            //รายการซ่อม
            $tbl.= <<<EOD
          <table style="overflow:wrap;">
          <thead>
          <tr>            
          <th>รายการซ่อม</th>
          <th width='80'>จำนวน</th>
          <th width='100'>หน่วยนับ</th>
          <th width='100'>ราคาต่อหน่วย</th>
          <th width='120'>รวมเงิน</th>
          </tr>
          </thead>
          <tbody>
EOD;
            $criteria = new CDbCriteria();
            $criteria->condition = "carfix_id = '" . $r['id'] . "'";
            $subs = CarfixSub::model()->findAll($criteria);

            $irow_sub = 0;
            $sumPrice = 0;
            $tbl.="<br/>";
            foreach ($subs as $s) {
                $irow_sub++;
                $price = $s->qty * $s->price;
                $sumPrice+=$price;

                $tbl.="<tr>";
                $tbl.="<td>$s->item</td>";
                $tbl.="<td align='center'>$s->qty</td>";
                $tbl.="<td align='center'>$s->unitname</td>";
                $tbl.="<td align='center'>$s->price</td>";
                $tbl.="<td align='right'>" . number_format($price) . "</td>";
                $tbl.="</tr>";
            }

            if ($irow_sub == 0) {
                $tbl.="<tr><td colspan='5' align='center'><b>ไม่มีรายการซ่อม (อะไหล่, ค่าบริการ ฯลฯ)</b></td></tr>";
            } else {
                $tbl.="<tr>";
                $tbl.="<td colspan='4' align='right'><b>รวม</b></td>";
                $tbl.="<td align='right'><b>" . number_format($sumPrice) . "</b></td>";
                $tbl.="</tr>";
            }
            $tbl.="<tbody></table><br/><br/><br/>";
            $tbl.="<table class='noborder'>";
            $tbl.="<tr>";
            $tbl.="<td width='50%' align='center'>";
            $tbl.="ผู้บันทึก......................................................................<br/><br/>";
            $tbl.="ตำแหน่ง.....................................................................";
            $tbl.="</td>";
            $tbl.="<td width='50%' align='center'>";
            $tbl.="ผู้ตรวจสอบ...................................................................<br/><br/>";
            $tbl.="ตำแหน่ง.....................................................................";
            $tbl.="</td>";
            $tbl.="</tr>";
            $tbl.="</table>";
        }

        if ($irow == 0) {
            $tbl = "<div style = 'text-align:center'><b>*** ไม่มีข้อมูลตามเงื่อนไข ***</b></div>";
        }
        $rpt = new ReportForm;
        $content = $rpt->getSchoolName();
        $content.= $tbl;

        if ($report_file == '1') {
            $this->renderPartial("//layouts/report_html_a4", array('content' => $content, 'report_name' => 'รายงาน'));
        } else if ($report_file == '2') {
            $mpdf = $rpt->getMPDF();
            $mpdf->WriteHTML($rpt->getCssPdf(), 1);
            $mpdf->WriteHTML($content, 2);
            $mpdf->Output();
        } else {
            $this->renderPartial('//layouts/report_excel', array('content' => $content, 'report_name' => 'รายงาน'));
        }
    }

}
