<?php
Yii::app()->clientScript->registerCssFile(Yii::app()->baseUrl . '/js/chosen/chosen.css');
Yii::app()->clientScript->registerCssFile(Yii::app()->baseUrl . '/js/chosen/chosen-bootstrap.css');
Yii::app()->clientScript->registerScriptFile(Yii::app()->baseUrl . '/js/chosen/chosen.jquery.min.js');

Yii::app()->clientScript->registerScriptFile(Yii::app()->baseUrl . '/js/jquery.numeric.js', CClientScript::POS_END);

Yii::app()->clientScript->registerCssFile(Yii::app()->baseUrl . '/js/jasny-bootstrap/jasny-bootstrap.css');
Yii::app()->clientScript->registerScriptFile(Yii::app()->baseUrl . '/js/jasny-bootstrap/jasny-bootstrap.js', CClientScript::POS_END);
Yii::app()->clientScript->registerScriptFile(Yii::app()->baseUrl . '/js/jasny-bootstrap/jasny-bootstrap-inputmask.js', CClientScript::POS_END);

Yii::app()->clientScript->registerCssFile(Yii::app()->baseUrl . '/js/facebox/facebox.css');
Yii::app()->clientScript->registerScriptFile(Yii::app()->baseUrl . '/js/facebox/facebox.js', CClientScript::POS_END);

$this->pageTitle = Yii::app()->name . ' บันทึกจองใช้รถ';

$newORedit = ($model->id == '') ? 'เพิ่ม' : 'แก้ไข';
$this->breadcrumbs = array(
    'รายการจองใช้รถ' => array('/booking'),
    'เลือกช่วงวันที่ และรถ' => array('booking/create'),
    "บันทึกจองใช้รถ ($newORedit)"
);

$classLabel = 'col-sm-2 control-label';
$classDiv = 'col-sm-4';
$this->renderPartial('//layouts/hasFlash');
?>

<style>
    .div-image-center{
        background-color: #FFF;
        width: 200px;
        height: 150px;
        line-height: 150px;
        text-align: center;
    }
</style>
<div class="row" id='headRow'>
    <div class="col-sm-12 col-md-12">

        <div class="block-flat">
            <header>
                <span class="widget-icon"> <i class="fa fa-edit"></i></span>
                <h2>
                    รายละเอียดการจอง
                    <?php if ($model->status == '9') : ?>
                        <span class="label label-danger">คุณต้องบันทึกรายการจองภายในวันที่ <strong><?php echo MyDate::dateToText($model->time_expire, true); ?></strong></span>
                    <?php endif; ?>
                </h2>	
                <div class="widget-toolbar">

                    <?php
                    if ($model->status !== '9') {
                        echo '<a href="#" onclick="return printPreview()" class="btn btn-xs btn-success"><i class="fa fa-print"></i> พิมพ์แบบขออนุญาตใช้รถ</a>';
                    } else {
//                        echo "<div class='text-muted'><i>ต้องอนุมัติเท่านั้นจึงจะพิมพ์ใบขอนุญาติใช้รถได้</i></div>";
                        echo "<div class='text-muted'><i>ต้องบันทึกข้อมูลก่อนจึงจะพิมพ์ใบขออนุญาติใช้รถได้</i></div>";
                    }
                    ?>
                </div>
                <div class="clearfix"></div>
            </header>

            <div class='content'>
                <?php
                $form = $this->beginWidget('CActiveForm', array(
                    'id' => 'myform',
                    'enableClientValidation' => false,
                    'enableAjaxValidation' => false,
                    'htmlOptions' => array(
                        'class' => 'form-horizontal',
                        'enctype' => 'multipart/form-data',
                    ),
                    'action' => Yii::app()->createUrl('booking/update'), //<- your form action here
                ));
                ?>

                <div class="alert alert-danger fade in no-margin" style="display:none" id="alert_frm"></div>
                <input type="hidden" id="id" name='id' value="<?php echo $model->id; ?>"/>
                <?php
                echo $form->hiddenField($model, 'car_id');
                echo $form->hiddenField($model, 'start_date');
                echo $form->hiddenField($model, 'end_date');
                $carRow = Car::model()->getCarDetail($model->car_id);
                $carDetail = $carRow['code'] . ", " . $carRow['cartype_name'] . ", " . $carRow['brand_name'] . ", " . $carRow['oil_name'];

                $imagePath = Car::model()->getImagePath($model->car_id, "picture1");
                ?>
                <div class="row" style="margin-bottom:0px">
                    <div class="col-sm-3">
                        <div class="thumbnail">
                            <img src="<?php echo $imagePath; ?>" class="img-responsive">
                        </div>
                    </div>
                    <div class="col-sm-9">
                        <div>
                            <div class="pull-left">
                                <h3 class="name" style="margin-top: 5px"><?php echo $carRow['code']; ?></h3>
                            </div>
                            <div class='pull-right' style="padding-top:5px;text-align: right">
                                <?php echo Booking::model()->getLabelStatus($model->id); ?>
                                <?php
                                if ($model->status == '1') {
                                    echo "<p><i class='label label-default'>" . MyDate::dateToText($model->read_date, true) . "</i></p>";
                                } else if ($model->status > 1) {
                                    echo "<p><i class='label label-default'>" . MyDate::dateToText($model->approve_date, true) . "</i></p>";
                                }
                                ?>
                            </div>
                            <div class='clearfix'></div>
                        </div>
                        <p style="font-size:14px">
                            <?php echo $carRow['cartype_name'] . ", " . $carRow['brand_name'] . ", " . $carRow['oil_name']; ?>
                            <br/>
                            จำนวนที่นั่ง: <?php echo ($carRow['seats'] == '0') ? 'ไม่ระบุ' : $carRow['seats']; ?>
                        </p>
                        <p>
                            <strong>วันที่ใช้รถ </strong> <?php echo MyDate::dateThaiShort($model->start_date) . " เวลา " . date("H:i", strtotime($model->start_date)); ?>
                            <strong>&nbsp;&nbsp;ถึงวันที่&nbsp;&nbsp;</strong> <?php echo MyDate::dateThaiShort($model->end_date) . " เวลา " . date("H:i", strtotime($model->end_date)); ?>
                        </p>
                        <p style="font-size: 14px">

                        </p>
                    </div>
                </div>
                <hr style="margin-top:0px"/>

                 <?php
                $userApprove = User::model()->findByPk($model->user_approve_id);
                $ApproveName = (isset($userApprove->id)) ? $userApprove->title . $userApprove->firstname . " " . $userApprove->surname : '*** ไม่มีผู้อนุมัตินี้ในระบบ ***';
                $ApproveName .= " (" . MyDate::dateThaiShort($model->start_date) . " เวลา " . date("H:i", strtotime($model->start_date)) . ")";
                ?>
                
                <?php if ($model->status != '0' && $model->status != '9'): ?>
                    <div class="alert alert-warning"><strong>รายการจองนี้จะไม่สามารถแก้ไขได้</strong> เนื่องจากผู้อนุมัติได้ทำการ <u><strong><?php echo Booking::model()->getStatusText($model->status); ?></strong></u> แล้ว<strong>=>โดย<?php echo $ApproveName; ?></strong></div>
                <?php endif; ?>

                <?php if ($model->status > 1 && $model->status != '9' && strlen($model->approve_comment) > 0): ?>
                    <div class="alert alert-info"><strong>หมายเหตุการอนุมัติ: </strong><?php echo $model->approve_comment; ?></div>
                <?php endif; ?>

                <div class="form-group">
                    <label class="<?php echo $classLabel; ?>">เลขที่ใบจอง<span class="required">*</span></label>
                    <div class="<?php echo $classDiv; ?>">
                        <div class="input-group">
                            <?php echo $form->textField($model, 'docno', array('class' => 'form-control', 'autofocus' => 'true', 'required' => 'true')); ?>
                            <span class="input-group-btn">
                                <button type="button" class="btn btn-default" onclick="docrun()"><i class="fa fa-flash"></i></button>
                            </span>
                        </div>
                    </div>

                    <label class="<?php echo $classLabel; ?>">วันที่เวลา</label>
                    <div class="<?php echo $classDiv; ?>">
                        <?php
                        $model->docdate = MyDate::dateThaiShort($model->docdate);
                        ?>
                        <input type="text" value='<?php echo $model->docdate . " เวลา " . $model->doctime; ?>' class='form-control' readonly="" tabindex="-1"/>
                    </div>
                </div>

                <div class='form-group'>
                    <label class="<?php echo $classLabel; ?>">จองใช้รถเพื่อ<span class="required">*</span></label>
                    <div class="col-sm-10">
                        <?php echo $form->textField($model, 'working', array('class' => 'form-control', 'required' => 'true')); ?>
                    </div>
                </div>


                <div class='form-group'>
                    <label class="<?php echo $classLabel; ?>">สถานที่ไป<span class="required">*</span></label>
                    <div class="<?php echo $classDiv; ?>">
                        <?php echo $form->textField($model, 'address', array('class' => 'form-control', 'placeholder' => 'ที่อยู่ หรือชื่อสถานที่', 'required' => 'true')); ?>
                    </div>

                    <label class="<?php echo $classLabel; ?>">ตำบล</label>
                    <div class="<?php echo $classDiv; ?>">
                        <?php echo $form->textField($model, 'tumbol', array('class' => 'form-control')); ?>
                    </div>
                </div>


                <div class='form-group'>
                    <label class="<?php echo $classLabel; ?>">อำเภอ</label>
                    <div class="<?php echo $classDiv; ?>">
                        <?php echo $form->textField($model, 'aumphur', array('class' => 'form-control')); ?>
                    </div>

                    <label class="<?php echo $classLabel; ?>">จังหวัด<span class="required">*</span></label>
                    <div class="<?php echo $classDiv; ?>">
                        <select name="Booking[province]" data-placeholder="ป้อนหรือคลิกเลือกรายการ" class="chzn-select-deselect form-control" required="" title='คุณต้องเลือกจังหวัด'>
                            <option value=""></option>
                            <?php
                            $provinces = Province::model()->findAll(array('order' => 'name asc'));
                            foreach ($provinces as $r) {
                                $selected = ($model->province == $r->name) ? 'selected' : '';
                                echo "<option value='$r->name' $selected>$r->name</option>";
                            }
                            ?>
                        </select>
                    </div>
                </div>

                <div class='form-group'>
                    <label class="<?php echo $classLabel; ?>">ใช้สำหรับแผนก<span class="required">*</span></label>
                    <div class="<?php echo $classDiv; ?>">
                        <select name="Booking[depart_id]" data-placeholder="ป้อนหรือคลิกเลือกรายการ" class="chzn-select-deselect form-control" required="" title='คุณต้องเลือกจังหวัด'>
                            <option value=""></option>
                            <?php
                            $departs = Depart::model()->findAll(array('order' => 'name asc'));
                            foreach ($departs as $r) {
                                $selected = ($model->depart_id == $r->id) ? 'selected' : '';
                                echo "<option value='$r->id' $selected>$r->name</option>";
                            }
                            ?>
                        </select>
                    </div>

                    <label class="<?php echo $classLabel; ?>">จำนวนผู้โดยสาร</label>
                    <div class="<?php echo $classDiv; ?>">
                        <div class="input-group">
                            <?php echo $form->textField($model, 'passenger_amount', array('class' => 'form-control numeric')); ?>
                            <span class="input-group-addon">คน</span>
                        </div>
                    </div>
                </div>

                <div class='form-group'>
                    <label class="<?php echo $classLabel; ?>">รายชื่อผู้โดยสาร</label>
                    <div class="col-sm-10">
                        <?php echo $form->textArea($model, 'passenger_name', array('rows' => 2, 'class' => 'form-control')); ?>
                    </div>
                </div>


                <div class='form-group'>
                    <label class="<?php echo $classLabel; ?>">เอกสารอ้างอิง</label>
                    <div class="<?php echo $classDiv; ?>">
                        <?php echo $form->textField($model, 'docref', array('class' => 'form-control')); ?>
                    </div>

                    <label class="<?php echo $classLabel; ?>">พนักงานขับรถ</label>
                    <div class="<?php echo $classDiv; ?>">
                        <select name="Booking[driver_id]" data-placeholder="ป้อนหรือคลิกเลือกรายการ" class="chzn-select-deselect form-control">
                            <option value=""></option>
                            <?php
                            $drivers = Driver::model()->findAll(array('condition' => 'status = 0', 'order' => 'firstname asc'));
                            foreach ($drivers as $r) {
                                $selected = ($model->driver_id == $r->id) ? 'selected' : '';
                                $tel = ($r->tel != '') ? " ($r->tel)" : '';
                                echo "<option value='$r->id' $selected>" . $r->title . $r->firstname . " " . $r->surname . " $tel</option>";
                            }
                            ?>
                        </select>
                    </div>
                </div>

                <div class='form-group'>
                    <label class="<?php echo $classLabel; ?>">ผู้ขอใช้</label>
                    <div class="<?php echo $classDiv; ?>">
                        <?php echo $form->textField($model, 'person_name', array('class' => 'form-control')); ?>
                    </div>

                    <label class="<?php echo $classLabel; ?>">โทรศัพท์ติดต่อ</label>
                    <div class="<?php echo $classDiv; ?>">
                        <?php echo $form->textField($model, 'tel', array('class' => 'form-control')); ?>
                    </div>
                </div>

                <div class='form-group'>
                    <label class="<?php echo $classLabel; ?>">อัตราค่าเช่า</label>
                    <div class="<?php echo $classDiv; ?>">
                        <div class="input-group">
                            <?php
                            $model->car_rate = number_format($model->car_rate, 2);
                            echo $form->textField($model, 'car_rate', array('class' => 'form-control numeric', 'readonly' => 'true'));
                            ?>
                            <span class="input-group-addon">บาท:นาที</span>
                        </div>
                    </div>

                    <label class="<?php echo $classLabel; ?>">ค่าเช่าสทุธิ</label>
                    <div class="<?php echo $classDiv; ?>">
                        <div class="input-group">
                            <?php
                            $model->car_money = number_format($model->car_money, 2);
                            echo $form->textField($model, 'car_money', array('class' => 'form-control numeric', 'readonly' => 'true'));
                            ?>
                            <span class="input-group-addon">บาท</span>
                        </div>
                    </div>
                </div>

                <div class='form-group'>
                    <label class="<?php echo $classLabel; ?>">เพิ่มเติม</label>
                    <div class="col-sm-10">
                        <?php echo $form->textArea($model, 'comment', array('rows' => 2, 'class' => 'form-control')); ?>
                    </div>
                </div>

                <?php $baseUrl = Yii::app()->request->baseUrl; ?>
                <?php if ($model->status != '0' && $model->status != '9'): ?>
                    <!-- ถ้าเปิดอ่าน หรืออนุมัติแล้ว จะเลือก หรือลบไฟล์แนบไม่ได้ -->
                    <hr/>
                    <h4>ไฟล์แนบ</h4>
                    <?php
                    $irowFile = 0;
                    $ret = '<ol>';
                    for ($i = 1; $i < 3; $i++) {
                        $fieldName = "file$i" . "_name";
                        $fileRealName = "file$i";
                        if (Booking::model()->getFileExist($model->id, "file$i")) {
                            $irowFile++;
                            $ret .= "<li><a href='$baseUrl/fileupload/booking/" . $model->$fileRealName . "' target='_blank'>" . $model->$fieldName . "</a></li>";
                        }
                    }
                    $ret .= "</ol>";

                    if ($irowFile > 0) {
                        echo $ret;
                    } else {
                        echo "<div class='text-muted'><i>=== ไม่มีไฟล์แนบ ===</i></div>";
                    }
                    ?>
                <?php else: ?>
                    <fieldset>
                        <legend><i class="fa fa-picture-o"></i> แนบไฟล์</legend>
                        <div class="alert alert-info">ห้ามอัพโหลดไฟล์นามสกุล .php, .js, .exe และ .bat <b>ขนาดไฟล์ไม่เกิน:</b> <?php echo MyFn::getUploadMaxSize(); ?> MB</div>
                        <?php for ($i = 1; $i < 3; $i++): ?>
                            <div>
                                <div class="fileinput fileinput-new" data-provides="fileinput">
                                    <span class="btn btn-default btn-file"><span class="fileinput-new">เลือกไฟล์ประกอบ <?php echo $i; ?></span><span class="fileinput-exists">เปลี่ยน</span><input type="file" name="<?php echo "file$i"; ?>"></span>
                                    <span class="fileinput-filename" id='spanfile<?php echo $i; ?>'>
                                        <?php
                                        $fieldName = "file$i" . "_name";
                                        $fileRealName = "file$i";
                                        if (Booking::model()->getFileExist($model->id, "file$i")) {
                                            echo "<a href='$baseUrl/fileupload/booking/" . $model->$fileRealName . "' target='_blank'>" . $model->$fieldName . "</a>" . '&nbsp;&nbsp;&nbsp;<a href="javascript:void(0);" onclick="return deleteFile(\'' . $model->id . '\',\'' . $i . '\')" class="btn btn-xs btn-danger">x</a>';
                                        }
                                        ?>
                                    </span>
                                    <a href="#" class="close fileinput-exists" data-dismiss="fileinput" style="float: none">&times;</a>
                                </div>
                            </div>
                        <?php endfor; ?>
                    </fieldset>
                <?php endif; ?>

            </div>  <!-- end content -->

            <?php if ($model->status == '0' || $model->status == '9'): ?>
                <div class="form-actions form-actions-gt">
                    <div class="row no-margin">
                        <button type="button" class="btn btn-primary btn-lg" onclick="save();">
                            <i class="fa fa-save"></i>
                            บันทึกข้อมูล
                        </button>
                    </div>
                </div>
            <?php endif; ?>

            <?php $this->endWidget(); ?>
        </div>

    </div>

</div>

<!-- Modal -->
<div class="modal fade colored-header" id="myModal" tabindex="-1" role="dialog" aria-labelledby="myModalLabel" aria-hidden="true" data-backdrop="true">
    <div class="modal-dialog modal-lg">
        <div class="modal-content">
            <div class="modal-header" style='padding:10px'>
                <button type="button" class="close" data-dismiss="modal" aria-label="Close"><span aria-hidden="true">&times;</span></button>
                <h4 class="modal-title" id="myModalLabel">เลือกจองรถ</h4>
            </div>

            <div class='modal-body no-padding'>
                <div class='alert alert-warning' id="divWarningModal">กำลังประมวลผล....กรุณารอจนกว่าข้อความนี้จะหายไป</div>
                <iframe src="" style="zoom:0.60" frameborder="0" width="100%"></iframe>
            </div>
        </div>
    </div>
</div>

<!-- print preview -->
<form action="<?php echo Yii::app()->createUrl('booking/preview'); ?>" method="post" id="myformPreview" target="_blank">
    <input type="hidden" name="booking_id" value="<?php echo $model->id; ?>"/>
</form>

<script type='text/javascript'>
    $(document).ready(function () {
        $(".numeric").numeric({negative: false});

        $(".chzn-select-deselect").chosen({
            allow_single_deselect: true,
            no_results_text: 'ไม่พบรายชื่อ!',
            search_contains: true
        });

        $('#myform').validate({ignore: ":hidden:not(select)",
            invalidHandler: function (event, validator) {
                loadingStaticRemove();
            }
        });
    });

    function carModal() {
        if ($('#Booking_start_date').val() == '' || $('#Booking_end_date').val() == '') {
            bootbox.alert(artalert('warning', 'คุณต้องกรอกช่วงวันที่ใช้รถ ก่อนเลือกรถ !!'));
        } else {
            $('#divWarningModal').show();
            var frameSrc = "<?php echo Yii::app()->createUrl('car/modal') ?>";
            $('.modal').on('shown.bs.modal', function () {
                modalHeight = $(window).height() * 0.8 - 10;
                $('iframe').attr('height', modalHeight);

                $('.modal .modal-body').css('height', $(window).height() * 0.8);
                $('iframe').attr("src", frameSrc);
            });
            $('#myModal').modal({show: true});
        }
    }

    //เลือกหมวดจาก modal
    function carModalSelect(p) {
        $('#Booking_car_id').val(p['id']);
        $('#car_code').val(p['code']);
    }

    function save() {
        var p = {};
        p['save'] = true;
        p['id'] = $('#id').val();
        p['code'] = $('#Booking_docno').val();

        /*
         p['car_id'] = $('#Booking_car_id').val();
         p['start_date'] = $('#Booking_start_date').val();
         p['end_date'] = $('#Booking_end_date').val();
         */

        $.ajax({
            data: p,
            url: "<?php echo Yii::app()->createUrl('booking/ajaxValidate') ?>",
            type: 'POST',
            dataType: 'json',
            success: function (data) {
                scrollToTop();
                if (data.msg == '0') {
                    loadingStatic();
                    $('#myform').submit();
                } else {
                    bootbox.alert(artalert('danger', data.msgText));
                }
            },
            error: function () {
                bootbox.alert(artalert('danger', 'ไม่สามารถบันทึกข้อมูลได้ กรุณาลองใหม่อีกครั้ง !!'));
            }
        });
        return true;
    }

    function del(id) {
        bootbox.confirm(artalert('warning', 'คุณต้องการลบข้อมูลรายการนี้ ใช่หรือไม่!!'), function (result) {
            if (result) {
                var p = {};
                p['id'] = id;
                $.ajax({
                    data: p,
                    url: "<?php echo Yii::app()->createUrl('booking/ajaxDelete') ?>",
                    type: 'POST',
                    dataType: 'json',
                    success: function () {
                        window.location.href = "<?php echo Yii::app()->createUrl('booking/create'); ?>"
                    },
                    error: function () {
                        bootbox.alert(artalert('danger', 'ไม่สามารถทำรายการได้ กรุณาลองใหม่อีกครั้ง !!'));
                    }
                });
            }
        });

        return true;
    }

    //รันเลขที่เอกสาร
    function docrun() {
        var p = {};
        p['docprefix_id'] = '1';
        $.ajax({
            data: p,
            url: "<?php echo Yii::app()->createUrl('docrun/ajaxGetDocNo') ?>",
            type: 'POST',
            dataType: 'json',
            success: function (data) {
                $('#Booking_docno').val(data.docno);
            },
            error: function () {
                bootbox.alert(artalert('danger', 'ไม่สามารถทำรายการได้ กรุณาลองใหม่อีกครั้ง !!'));
            }
        });

        return true;
    }

    //พิมพ์เอกสาร
    function printPreview() {
        $('#myformPreview').submit();
    }

    //ลบไฟล์
    function deleteFile(id, fileNumber) {
        bootbox.confirm(artalert('warning', 'คุณต้องการลบไฟล์รายการนี้ ใช่หรือไม่!!'), function (result) {
            if (result) {
                var p = {};
                p['id'] = id;
                p['fileNumber'] = fileNumber;
                $.ajax({
                    data: p,
                    url: "<?php echo Yii::app()->createUrl('booking/ajaxDeleteFile') ?>",
                    type: 'POST',
                    dataType: 'json',
                    success: function () {
                        $('#spanfile' + fileNumber).html('');
                    },
                    error: function () {
                        bootbox.alert(artalert('danger', 'ไม่สามารถทำรายการได้ กรุณาลองใหม่อีกครั้ง !!'));
                    }
                });
            }
        });
        return true;
    }
</script>