<?php
Yii::app()->clientScript->registerCssFile(Yii::app()->baseUrl . '/js/bootstrap-datepicker/datepicker3.css');
Yii::app()->clientScript->registerScriptFile(Yii::app()->baseUrl . '/js/bootstrap-datepicker/bootstrap-datepicker.js', CClientScript::POS_END);
Yii::app()->clientScript->registerScriptFile(Yii::app()->baseUrl . '/js/bootstrap-datepicker/bootstrap-datepicker-thai.js', CClientScript::POS_END);
Yii::app()->clientScript->registerScriptFile(Yii::app()->baseUrl . '/js/bootstrap-datepicker/locales/bootstrap-datepicker.th.js', CClientScript::POS_END);
?>
<div class="row">
    <div class="col-md-12">

        <div class="block-flat no-margin">
            <div class='content'>

                <div class="row">
                    <div class="col-md-12">
                        <div class="form-group col-xs-4 col-sm-3 col-md-3 padding-small">
                            <label>จากวันที่ใช้รถ</label>
                            <div class="input-group date">
                                <input class="form-control" size="16" type="text" id="start_date" name="start_date" placeholder="วว/ดด/ปี พ.ศ." value=''/>
                                <span class="input-group-addon btn btn-primary"><span class="glyphicon glyphicon-th"></span></span>
                            </div>
                        </div>
                        <div class="form-group col-xs-4 col-sm-3 col-md-3 padding-small">
                            <label>ถึงวันที่</label>
                            <div class="input-group date">
                                <input class="form-control" size="16" type="text" id="end_date" name="end_date" placeholder="วว/ดด/ปี พ.ศ." value=''>
                                <span class="input-group-addon btn btn-primary"><span class="glyphicon glyphicon-th"></span></span>
                            </div>
                        </div>
                        <div class="form-group col-xs-4 col-sm-6 col-md-6 padding-small">
                            <label>ทะเบียน</label>
                            <div class="input-group">
                                <input class="form-control" type="text" id="txtsearch" placeholder="ค้นหา..." autofocus="true" value=''/>
                                <span class="input-group-btn">
                                    <button type="button" class="btn btn-primary" onclick="load_div_grid()"><i class="fa fa-search"></i> ค้นหา</button>
                                </span>
                            </div>
                        </div>
                    </div>
                </div>

                <div id="div_grid" style="padding-top: 10px">
                    <?php $this->renderPartial('_gridview_modal', array('grids' => $grids)); ?>
                </div>
            </div>

        </div>

    </div>
</div>


<script type='text/javascript'>
    $(function () {
        $('.content').find("[autofocus]:first").focus();
        
        $('#txtsearch').keydown(function (e) {
            if ((e.keyCode == 13)) {
                load_div_grid();
                return true;
            }
        });

        $('.input-group.date').datepicker({
            todayBtn: 'linked',
            language: "th-th",
            keyboardNavigation: true,
            autoclose: true,
            todayHighlight: true,
            orientation: "top auto",
            format: "dd/mm/yyyy"
        });
    });

    function load_div_grid(url) {
        url = typeof url !== 'undefined' ? url : "<?php echo Yii::app()->createUrl('booking/ajaxListModal') ?>";
        var p = {};
        p['txtsearch'] = $('#txtsearch').val();
        p['start_date'] = $('#start_date').val();
        p['end_date'] = $('#end_date').val();

        $('#div_grid').load(url, p);
        $('#txtsearch').focus();
        return true;
    }
</script>