<?php
Yii::app()->clientScript->registerCssFile(Yii::app()->baseUrl . '/js/bootstrap-datepicker/datepicker3.css');
Yii::app()->clientScript->registerScriptFile(Yii::app()->baseUrl . '/js/bootstrap-datepicker/bootstrap-datepicker.js', CClientScript::POS_END);
Yii::app()->clientScript->registerScriptFile(Yii::app()->baseUrl . '/js/bootstrap-datepicker/bootstrap-datepicker-thai.js', CClientScript::POS_END);
Yii::app()->clientScript->registerScriptFile(Yii::app()->baseUrl . '/js/bootstrap-datepicker/locales/bootstrap-datepicker.th.js', CClientScript::POS_END);

Yii::app()->clientScript->registerCssFile(Yii::app()->baseUrl . '/js/facebox/facebox.css');
Yii::app()->clientScript->registerScriptFile(Yii::app()->baseUrl . '/js/facebox/facebox.js', CClientScript::POS_END);

$this->pageTitle = Yii::app()->name . ' บันทึกจองใช้รถ';

$this->breadcrumbs = array(
    'จองใช้รถ' => array('/booking'),
    "บันทึกจองใช้รถ (เลือกรถว่าง)"
);

$this->renderPartial('//layouts/hasFlash');
?>

<div class="page-aside app filters">
    <div>
        <div class="content">
            <button class="navbar-toggle" data-target=".app-nav" data-toggle="collapse" type="button">
                <span class="fa fa-chevron-down"></span>
            </button>
            <h2 class="page-title">วัน/เวลาทีต้องการ</h2>
            <p class="description">ช่วงวันทีต้องการจองใช้รถ</p>
        </div>
        <div>
            <div class="content" style="padding-top:0px">
                <form action="<?php echo Yii::app()->createUrl('booking/createDoc'); ?>" method="POST" id="myform">
                    <input type="hidden" id="car_id" name='car_id' value=""/>
                    <div class='form-group'>
                        <label>จากวันที่<span class="required">*</span></label>
                        <div class="input-group date">
                            <input class="form-control" size="16" type="text" id="start_date" name="start_date" value="<?php echo MyDate::dateToText(date('Y-m-d')); ?>" readonly>
                            <span class="input-group-addon btn btn-primary"><span class="glyphicon glyphicon-th"></span></span>
                        </div>
                    </div>

                    <div class="form-group">
                        <label>เวลา</label>
                        <table class="table table-condensed table-no-bordered no-margin">
                            <tr>
                                <td class='no-padding'>
                                    <select class="form-control ddlTime" id="ddlStartH" name="ddlStartH">
                                        <?php
                                        for ($i = 0; $i < 24; $i++) {
                                            $t = sprintf('%02d', $i);
                                            $selected = ($t == '08') ? 'selected' : '';
                                            echo "<option value='$t' $selected>$t</option>";
                                        }
                                        ?>
                                    </select>
                                </td>
                                <td class='no-padding'>
                                    <select class="form-control ddlTime" id="ddlStartM" name="ddlStartM">
                                        <?php
                                        for ($i = 0; $i < 56; $i+=5) {
                                            $t = sprintf('%02d', $i);
                                            echo "<option value='$t'>$t</option>";
                                        }
                                        ?>
                                    </select>
                                </td>
                            </tr>
                        </table>
                    </div>

                    <div class='form-group'>
                        <label>ถึงวันที่<span class="required">*</span></label>
                        <div class="input-group date">
                            <input class="form-control" size="16" type="text" id="end_date" name="end_date" value="<?php echo MyDate::dateToText(date('Y-m-d')); ?>" readonly>
                            <span class="input-group-addon btn btn-primary"><span class="glyphicon glyphicon-th"></span></span>
                        </div>
                    </div>

                    <div class="form-group">
                        <label>เวลา</label>
                        <table class="table table-condensed table-no-bordered no-margin">
                            <tr>
                                <td class='no-padding'>
                                    <select class="form-control ddlTime" id="ddlEndH" name="ddlEndH">
                                        <?php
                                        for ($i = 0; $i < 24; $i++) {
                                            $t = sprintf('%02d', $i);
                                            $selected = ($t == '17') ? 'selected' : '';
                                            echo "<option value='$t' $selected>$t</option>";
                                        }
                                        ?>
                                    </select>
                                </td>
                                <td class='no-padding'>
                                    <select class="form-control ddlTime" id="ddlEndM" name="ddlEndM">
                                        <?php
                                        for ($i = 0; $i < 56; $i+=5) {
                                            $t = sprintf('%02d', $i);
                                            //$selected = ($t == '55') ? 'selected' : '';
                                            echo "<option value='$t'>$t</option>";
                                        }
                                        ?>
                                    </select>
                                </td>
                            </tr>
                        </table>
                    </div>
                </form>

                <p style="padding-top:10px;text-align: center">
                    <button type="button" class="btn btn-primary btn-lg" onclick='loadCarBusy();'><i class='fa fa-search'></i>ค้นหารถว่าง</button>
                </p>
                <div style="margin-top:80px"></div>
            </div>  <!-- end content -->

        </div>
    </div>
</div>

<div class="container-fluid" id="pcont" style="width:100%">
    <div class="main-app">
        <div class="head">
            <h3>เลือกรถที่ต้องการจองใช้งาน</h3>
            <div class="form-group">
                <label class="radio-inline"> <input type="radio" checked="" name="radStatus" class="icheck" value='0'> เฉพาะที่ว่าง</label> 
                <label class="radio-inline"> <input type="radio" name="radStatus" class="icheck" value='1'> ไม่ว่าง</label> 
                <label class="radio-inline"> <input type="radio" name="radStatus" class="icheck" value='99'> ทุกสถานะ</label> 
            </div>
        </div>

        <div class="items products" id='div_grid' style="border-top:1px solid #ddd"></div>
        <div class="alert alert-info" id="div_alert_grid" style="font-size:16px;display:none">
            เลือกช่วงวันที่-เวลาเสร็จแล้ว คลิกปุ่ม <strong>ค้นหารถว่าง</strong>
        </div>
    </div>
</div>

<!-- Modal -->
<div class="modal fade colored-header" id="myModal" tabindex="-1" role="dialog" aria-labelledby="myModalLabel" aria-hidden="true" data-backdrop="true">
</div>

<!-- Modal รายละเอียดการจอง-->
<div class="modal fade colored-header" id="myModalDetailMore" tabindex="-1" role="dialog" aria-labelledby="myModalLabel" aria-hidden="true" data-backdrop="true">
</div>

<script type='text/javascript'>
    $(document).ready(function () {
        loadCarBusy();

        $('.cl-mcont').removeClass('cl-mcont');
        $('.input-group.date').datepicker({
            todayBtn: 'linked',
            language: "th-th",
            keyboardNavigation: true,
            autoclose: true,
            todayHighlight: true,
            orientation: "top auto",
            format: "dd/mm/yyyy"
        }).on('changeDate', function (e) {
            $('#div_grid').hide();
            $('#div_alert_grid').show();
        });

        $('input[name=radStatus]').on('ifChecked', function () {
            loadCarBusy();
        });

        $('.ddlTime').change(function () {
            $('#div_grid').hide();
            $('#div_alert_grid').show();
        });

    });

    function loadCarBusy(url) {
        $('#div_grid').show();
        $('#div_alert_grid').hide();

        var p = {};
        $('input[name="radStatus"]:checked').each(function () {
            p['txtstatus'] = this.value;
        });

        p['start_date'] = $('#start_date').val();
        p['start_time'] = $('#ddlStartH').val() + ":" + $('#ddlStartM').val();
        p['end_date'] = $('#end_date').val();
        p['end_time'] = $('#ddlEndH').val() + ":" + $('#ddlEndM').val();

        url = typeof url !== 'undefined' ? url : "<?php echo Yii::app()->createUrl('booking/ajaxListCar') ?>";
        $('#div_grid').load(url, p);
        return true;
    }

    function createDoc(car_id) {
        $('#car_id').val(car_id);
        $('#myform').submit();
    }

    //แสดงรายละเอียดรถไม่ว่าง
    function showBusyDetail(car_id) {
        var p = {};
        p['car_id'] = car_id;
        p['start_date'] = $('#start_date').val();
        p['start_time'] = $('#ddlStartH').val() + ":" + $('#ddlStartM').val();
        p['end_date'] = $('#end_date').val();
        p['end_time'] = $('#ddlEndH').val() + ":" + $('#ddlEndM').val();
        
        $('#myModal').load("<?php echo Yii::app()->createUrl('booking/ajaxBusyDetail') ?>", p, function () {
            $('#myModal').modal('show');
        });
        return true;
    }


    function showEventMore(booking_id) {
        var p = {};
        p['booking_id'] = booking_id;
        $('#myModalDetailMore').load("<?php echo Yii::app()->createUrl('calendar/ajaxDetailMore') ?>", p, function () {
            $('#myModalDetailMore').modal('show');
        });
        return true;
    }

</script>