<?php
Yii::app()->clientScript->registerCssFile(Yii::app()->baseUrl . '/js/bootstrap-datepicker/datepicker3.css');
Yii::app()->clientScript->registerScriptFile(Yii::app()->baseUrl . '/js/bootstrap-datepicker/bootstrap-datepicker.js', CClientScript::POS_END);
Yii::app()->clientScript->registerScriptFile(Yii::app()->baseUrl . '/js/bootstrap-datepicker/bootstrap-datepicker-thai.js', CClientScript::POS_END);
Yii::app()->clientScript->registerScriptFile(Yii::app()->baseUrl . '/js/bootstrap-datepicker/locales/bootstrap-datepicker.th.js', CClientScript::POS_END);

Yii::app()->clientScript->registerCssFile(Yii::app()->baseUrl . '/js/facebox/facebox.css');
Yii::app()->clientScript->registerScriptFile(Yii::app()->baseUrl . '/js/facebox/facebox.js', CClientScript::POS_END);
$this->pageTitle = Yii::app()->name . ' รับคืนรถ';
$this->breadcrumbs = array(
    'รับคืนรถ'
);
?>

<div class="row">
    <div class="col-sm-12 col-md-12">
        <div class="block-flat">
            <header>
                <span class="widget-icon"> <i class="fa fa-table"></i></span>
                <h2>รับคืนรถ</h2>
                <div class="clearfix"></div>
            </header>

            <div class='content'>
                <div class="row">
                    <div class="col-md-12">
                        <div class="form-group col-sm-6 col-md-3 padding-small">
                            <label>สถานะ</label>
                            <select id='status' class='form-control'>
                                <option value='00'>===ส่งคืน/รับคืน===</option>
                                <option value='5' <?php echo ($status == '5') ? 'selected' : ''; ?>>ส่งคืนรถแล้ว</option>
                                <option value='6' <?php echo ($status == '6') ? 'selected' : ''; ?>>รับคืนรถแล้ว</option>
                            </select>
                        </div>
                        <div class="form-group col-sm-6 col-md-3 padding-small">
                            <label>จากวันที่ส่งคืน</label>
                            <div class="input-group date">
                                <input class="form-control" size="16" type="text" id="start_date" name="start_date" placeholder="วว/ดด/ปี พ.ศ." value='<?php echo $start_date; ?>'/>
                                <span class="input-group-addon btn btn-primary"><span class="glyphicon glyphicon-th"></span></span>
                            </div>
                        </div>
                        <div class="form-group col-sm-6 col-md-3 padding-small">
                            <label>ถึงวันที่</label>
                            <div class="input-group date">
                                <input class="form-control" size="16" type="text" id="end_date" name="end_date" placeholder="วว/ดด/ปี พ.ศ." value='<?php echo $end_date; ?>'>
                                <span class="input-group-addon btn btn-primary"><span class="glyphicon glyphicon-th"></span></span>
                            </div>
                        </div>
                        <div class="form-group col-sm-6 col-md-3 padding-small">
                            <label>คำค้น</label>
                            <div class="input-group">
                                <input class="form-control" type="text" id="txtsearch" placeholder="ค้นหาทะเบียน,เลขที่ใบจอง,จองใช้รถเพื่อ" autofocus="true" value='<?php echo $txtsearch; ?>'/>
                                <span class="input-group-btn">
                                    <button type="button" class="btn btn-primary" onclick="load_div_grid()"><i class="fa fa-search"></i> ค้นหา</button>
                                </span>
                            </div>
                        </div>
                    </div>
                </div>

                <div id="div_grid">
                    <?php $this->renderPartial('_gridview', array('grids' => $grids)); ?>
                </div>
            </div>
        </div>

    </div>
</div>

<!-- Modal -->
<div class="modal fade colored-header" id="myModal" tabindex="-1" role="dialog" aria-labelledby="myModalLabel" aria-hidden="true" data-backdrop="true">
</div>

<script type='text/javascript'>
    $(function () {
        $('.input-group.date').datepicker({
            todayBtn: 'linked',
            language: "th-th",
            keyboardNavigation: true,
            autoclose: true,
            todayHighlight: true,
            orientation: "top auto",
            format: "dd/mm/yyyy"
        });

        $('#txtsearch').keydown(function (e) {
            if ((e.keyCode == 13)) {
                load_div_grid();
                return true;
            }
        });
    });

    function load_div_grid(url) {
        url = typeof url !== 'undefined' ? url : "<?php echo Yii::app()->createUrl('carreturn/ajaxList') ?>";
        var p = {};
        p['status'] = $('#status').val();
        p['txtsearch'] = $('#txtsearch').val();
        p['start_date'] = $('#start_date').val();
        p['end_date'] = $('#end_date').val();

        $('#div_grid').load(url, p);
        $('#txtsearch').focus();
        return true;
    }
</script>