<?php
Yii::app()->clientScript->registerCssFile(Yii::app()->baseUrl . '/js/chosen/chosen.css');
Yii::app()->clientScript->registerCssFile(Yii::app()->baseUrl . '/js/chosen/chosen-bootstrap.css');
Yii::app()->clientScript->registerScriptFile(Yii::app()->baseUrl . '/js/chosen/chosen.jquery.min.js');
Yii::app()->clientScript->registerScriptFile(Yii::app()->baseUrl . '/js/jquery.numeric.js', CClientScript::POS_END);

Yii::app()->clientScript->registerCssFile(Yii::app()->baseUrl . '/js/facebox/facebox.css');
Yii::app()->clientScript->registerScriptFile(Yii::app()->baseUrl . '/js/facebox/facebox.js', CClientScript::POS_END);

$this->pageTitle = Yii::app()->name . ' สถานประกอบการ';

$this->breadcrumbs = array(
    "สถานประกอบการ"
);

$classLabel = 'col-sm-3 col-md-3 control-label';
$classDiv = 'col-sm-9 col-md-9';

$this->renderPartial('//layouts/hasFlash');
?>

<div class="row" id='headRow'>
    <div class="col-sm-12 col-md-12">

        <div class="block-flat">
            <header>
                <span class="widget-icon"> <i class="fa fa-edit"></i></span>
                <h2>รายละเอียดสถานประกอบการ</h2>	
                <div class="clearfix"></div>
            </header>

            <div class='content'>
                <?php
                $form = $this->beginWidget('CActiveForm', array(
                    'id' => 'myform',
                    'enableClientValidation' => false,
                    'enableAjaxValidation' => false,
                    'htmlOptions' => array(
                        'class' => 'form-horizontal',
                        'enctype' => 'multipart/form-data',
                    ),
                    'action' => Yii::app()->createUrl('/company'), //<- your form action here
                ));
                ?>

                <div class="alert alert-danger fade in no-margin" style="display:none" id="alert_frm"></div>
                <input type="hidden" id="id" name='id' value="<?php echo $model->id; ?>"/>

                <div class='form-group'>
                    <label class="<?php echo $classLabel; ?>">ชื่อสถานประกอบการ<span class="required">*</span></label>
                    <div class="<?php echo $classDiv; ?>">
                        <?php echo $form->textField($model, 'name', array('class' => 'form-control', 'required' => 'true')); ?>
                    </div>
                </div>

                <div class='form-group'>
                    <label class="<?php echo $classLabel; ?>">ผู้บริหาร<span class="required">*</span></label>
                    <div class="<?php echo $classDiv; ?>">
                        <?php echo $form->textField($model, 'manager', array('class' => 'form-control', 'required' => 'true')); ?>
                    </div>
                </div>

                <div class='form-group'>
                    <label class="<?php echo $classLabel; ?>">ที่อยู่</label>
                    <div class="<?php echo $classDiv; ?>">
                        <?php echo $form->textArea($model, 'address', array('rows' => 2, 'class' => 'form-control')); ?>
                    </div>
                </div>

                <div class='form-group'>
                    <label class="<?php echo $classLabel; ?>">จังหวัด<span class="required">*</span></label>
                    <div class="<?php echo $classDiv; ?>">
                        <select name="Company[province]" data-placeholder="ป้อนหรือคลิกเลือกรายการ" class="chzn-select-deselect form-control" required="" title='คุณต้องเลือกจังหวัด'>
                            <option value=""></option>
                            <?php
                            $provinces = Province::model()->findAll(array('order' => 'name asc'));
                            foreach ($provinces as $r) {
                                $selected = ($model->province == $r->name) ? 'selected' : '';
                                echo "<option value='$r->name' $selected>$r->name</option>";
                            }
                            ?>
                        </select>
                    </div>
                </div>

                <div class='form-group'>
                    <label class="<?php echo $classLabel; ?>">โทรศัพท์</label>
                    <div class="<?php echo $classDiv; ?>">
                        <?php echo $form->textField($model, 'tel', array('class' => 'form-control')); ?>
                    </div>
                </div>

                <div class='form-group'>
                    <label class="<?php echo $classLabel; ?>">โทรสาร</label>
                    <div class="<?php echo $classDiv; ?>">
                        <?php echo $form->textField($model, 'fax', array('class' => 'form-control')); ?>
                    </div>
                </div>

                <div class='form-group'>
                    <label class="<?php echo $classLabel; ?>">ชื่อระบบหัวโปรแกรม</label>
                    <div class="<?php echo $classDiv; ?>">
                        <?php echo $form->textField($model, 'webheader', array('class' => 'form-control')); ?>
                    </div>
                </div>

                <div class='form-group'>
                    <label class="<?php echo $classLabel; ?>">ต้องบันทึกจองภายใน(นาที)</label>
                    <div class="col-sm-6 col-md-3">
                        <select name="Company[booking_minute]" class="form-control">
                            <?php
                            for ($i = 5; $i < 11; $i++) {
                                $selected = ($model->booking_minute == $i) ? 'selected' : '';
                                echo "<option value='$i' $selected>$i</option>";
                            }
                            ?>
                        </select>
                    </div>
                </div>

                <div class='clearfix'></div>
                <div class="form-actions form-actions-gt">
                    <div class="row no-margin">
                        <button type="submit" class="btn btn-primary btn-lg">
                            <i class="fa fa-save"></i>
                            บันทึกข้อมูล
                        </button>
                    </div>
                </div>

                <?php $this->endWidget(); ?>
            </div>

        </div>

    </div>
</div>

<!-- Modal -->
<div class="modal fade colored-header" id="myModal" tabindex="-1" role="dialog" aria-labelledby="myModalLabel" aria-hidden="true" data-backdrop="true">
</div>

<script type='text/javascript'>
    $(document).ready(function () {
        $(".chzn-select-deselect").chosen({
            allow_single_deselect: true,
            no_results_text: 'ไม่พบรายชื่อ!',
            search_contains: true
        });

        $('#myform').validate({ignore: ":hidden:not(select)",
            invalidHandler: function (event, validator) {
                loadingStaticRemove();
            }
        });
    });
</script>