<?php
Yii::app()->clientScript->registerScriptFile(Yii::app()->baseUrl . '/js/jquery.numeric.js', CClientScript::POS_END);

Yii::app()->clientScript->registerCssFile(Yii::app()->baseUrl . '/js/bootstrap-datepicker/datepicker3.css');
Yii::app()->clientScript->registerScriptFile(Yii::app()->baseUrl . '/js/bootstrap-datepicker/bootstrap-datepicker.js', CClientScript::POS_END);
Yii::app()->clientScript->registerScriptFile(Yii::app()->baseUrl . '/js/bootstrap-datepicker/bootstrap-datepicker-thai.js', CClientScript::POS_END);
Yii::app()->clientScript->registerScriptFile(Yii::app()->baseUrl . '/js/bootstrap-datepicker/locales/bootstrap-datepicker.th.js', CClientScript::POS_END);

Yii::app()->clientScript->registerCssFile(Yii::app()->baseUrl . '/js/facebox/facebox.css');
Yii::app()->clientScript->registerScriptFile(Yii::app()->baseUrl . '/js/facebox/facebox.js', CClientScript::POS_END);

$this->pageTitle = Yii::app()->name . ' รายละเอียดการต่อ พรบ.';

$newORedit = ($model->id == '') ? 'เพิ่ม' : 'แก้ไข';
$this->breadcrumbs = array(
    'รายการต่อ พรบ.' => array('/plb'),
    "รายละเอียดการต่อ พรบ. ($newORedit)"
);

$classLabel = 'col-sm-2 control-label';
$classDiv = 'col-sm-4';

$this->renderPartial('//layouts/hasFlash');
?>

<div class="row" id='headRow'>
    <div class="col-sm-12 col-md-12">

        <?php
        $form = $this->beginWidget('CActiveForm', array(
            'id' => 'myform',
            'enableClientValidation' => false,
            'enableAjaxValidation' => false,
            'htmlOptions' => array(
                'class' => 'form-horizontal',
                'enctype' => 'multipart/form-data',
            ),
            'action' => Yii::app()->createUrl('plb/update'), //<- your form action here
        ));
        ?>

        <div class="block-flat" style='margin-bottom: 10px'>
            <header>
                <span class="widget-icon"> <i class="fa fa-pencil-square-o"></i></span>
                <h2>รายละเอียดการต่อ พรบ.</h2>	
                <div class="widget-toolbar">
                    <?php
                    echo CHtml::link('<i class="fa fa-plus"></i> เพิ่มข้อมูล', array('plb/create'), array('class' => 'btn btn-xs btn-success'));
                    echo '<a href="#" onclick="return del(\'' . $model->id . '\')" class="btn btn-xs btn-danger"><i class="fa fa-trash-o"></i> ลบข้อมูล</a>';
                    ?>
                </div>
                <div class="clearfix"></div>
            </header>

            <div class='content'>

                <div class="alert alert-danger fade in no-margin" style="display:none" id="alert_frm"></div>
                <input type="hidden" id="id" name='id' value="<?php echo $model->id; ?>"/>

                <div id='divBooking'>
                    <div class='form-group'>
                        <label class="<?php echo $classLabel; ?>">เลขที่เอกสาร<span class="required">*</span></label>
                        <div class="<?php echo $classDiv; ?>">
                            <div class="input-group">
                                <?php echo $form->textField($model, 'docno', array('class' => 'form-control', 'autofocus' => 'true', 'required' => 'true')); ?>
                                <span class="input-group-btn">
                                    <button type="button" class="btn btn-default" onclick="docrun()"><i class="fa fa-flash"></i></button>
                                </span>
                            </div>

                        </div>

                        <label class="<?php echo $classLabel; ?>">วันที่<span class="required">*</span></label>
                        <div class="<?php echo $classDiv; ?>">
                            <div class="input-group date">
                                <?php
                                $model->docdate = MyDate::dateToText($model->docdate);
                                echo $form->textField($model, 'docdate', array('class' => 'form-control', 'placeholder' => 'วว/ดด/ปี พ.ศ.'));
                                ?>
                                <span class="input-group-addon btn btn-primary"><span class="glyphicon glyphicon-th"></span></span>
                            </div>
                        </div>
                    </div>
                </div>

                <div class='form-group'>
                    <label class="<?php echo $classLabel; ?>">ทะเบียนรถ<span class="required">*</span></label>
                    <div class="<?php echo $classDiv; ?>">
                        <?php
                        echo $form->hiddenField($model, 'car_id');
                        $car = Car::model()->findByPk($model->car_id);

                        $carCode = '';
                        if ($car !== null) {
                            $carCode = $car->code;
                        }
                        ?>
                        <div class="input-group">
                            <input type='text' id='car_code' value='<?php echo $carCode; ?>' required="true" readonly="" class='form-control'>
                            <span class="input-group-btn">
                                <button type="button" class="btn btn-default" onclick="carModal()"><i class="fa fa-truck"></i></button>
                            </span>
                        </div>
                    </div>
                </div>

                <div class='form-group'>
                    <label class="<?php echo $classLabel; ?>">วันที่ พรบ.<span class="required">*</span></label>
                    <div class="<?php echo $classDiv; ?>">
                        <div class="input-group date">
                            <?php
                            $model->datef = MyDate::dateToText($model->datef);
                            echo $form->textField($model, 'datef', array('class' => 'form-control', 'required' => 'true'));
                            ?>
                            <span class="input-group-addon btn btn-primary"><span class="glyphicon glyphicon-th"></span></span>
                        </div>
                    </div>

                    <label class="<?php echo $classLabel; ?>">วันที่หมดอายุ<span class="required">*</span></label>
                    <div class="<?php echo $classDiv; ?>">
                        <div class="input-group date">
                            <?php
                            $model->datee = MyDate::dateToText($model->datee);
                            echo $form->textField($model, 'datee', array('class' => 'form-control', 'required' => 'true'));
                            ?>
                            <span class="input-group-addon btn btn-primary"><span class="glyphicon glyphicon-th"></span></span>
                        </div>
                    </div>
                </div>

                <div class='form-group'>
                    <label class="<?php echo $classLabel; ?>">จำนวนเงิน<span class="required">*</span></label>
                    <div class="<?php echo $classDiv; ?>">
                        <div class="input-group">
                            <?php
                            echo $form->textField($model, 'price', array('class' => 'form-control numeric', 'required' => 'true'));
                            ?>
                            <span class="input-group-addon">บาท</span>
                        </div>
                    </div>

                    <label class="<?php echo $classLabel; ?>">ผู้ดำเนินการ</label>
                    <div class="<?php echo $classDiv; ?>">
                        <?php echo $form->textField($model, 'person_name', array('class' => 'form-control', 'required' => 'true')); ?>
                    </div>
                </div>

                <div class='form-group'>
                    <label class="<?php echo $classLabel; ?>">หมายเหตุ</label>
                    <div class="col-md-10">
                        <?php echo $form->textArea($model, 'comment', array('rows' => 2, 'class' => 'form-control')); ?>
                    </div>
                </div>

                <div class="form-actions form-actions-gt" style='margin-top:5px'>
                    <div class="row no-margin">
                        <button type="button" class="btn btn-primary btn-lg" onclick="save();">
                            <i class="fa fa-save"></i>
                            บันทึกข้อมูล
                        </button>
                    </div>
                </div>
            </div>  <!-- end content -->
        </div>      <!-- end block_flat -->

        <?php $this->endWidget(); ?>
    </div>

</div>

<!-- Modal Car -->
<?php $this->renderPartial('//car/modalCar'); ?>

<script type='text/javascript'>
    $(document).ready(function () {
        $(".numeric").numeric({negative: false});

        $('#myform').validate({ignore: ":hidden:not(select)",
            invalidHandler: function (event, validator) {
                loadingStaticRemove();
            }
        });

        $('.input-group.date').datepicker({
            todayBtn: 'linked',
            language: "th-th",
            keyboardNavigation: true,
            autoclose: true,
            todayHighlight: true,
            orientation: "top auto",
            format: "dd/mm/yyyy"
        });
    });

    function save() {
        var ret = '';
        if ($('#car_code').val() == '') {
            ret += 'คุณต้องเลือกรถที่ต้องการก่อน<br/>';
        }

        if (ret != '') {
            bootbox.alert(artalert('warning', ret));
        } else {
            var p = {};
            p['save'] = true;

            p['id'] = $('#id').val();
            p['docno'] = $('#Plb_docno').val();

            $.ajax({
                data: p,
                url: "<?php echo Yii::app()->createUrl('plb/ajaxValidate') ?>",
                type: 'POST',
                dataType: 'json',
                success: function (data) {
                    scrollToTop();
                    if (data.msg == '0') {
                        loadingStatic();
                        $('#myform').submit();
                    } else {
                        bootbox.alert(artalert('danger', data.msgText));
                    }
                },
                error: function () {
                    bootbox.alert(artalert('danger', 'ไม่สามารถบันทึกข้อมูลได้ กรุณาลองใหม่อีกครั้ง !!'));
                }});
        }
        return true;
    }

    function del(id) {
        bootbox.confirm(artalert('warning', 'คุณต้องการลบข้อมูลรายการนี้ ใช่หรือไม่!!'), function (result) {
            if (result) {
                var p = {};
                p['id'] = id;
                $.ajax({
                    data: p,
                    url: "<?php echo Yii::app()->createUrl('plb/ajaxDelete') ?>",
                    type: 'POST',
                    dataType: 'json',
                    success: function () {
                        window.location.href = "<?php echo Yii::app()->createUrl('plb/create'); ?>"
                    },
                    error: function () {
                        bootbox.alert(artalert('danger', 'ไม่สามารถทำรายการได้ กรุณาลองใหม่อีกครั้ง !!'));
                    }
                });
            }
        });

        return true;
    }

    //เปิด Modal Car
    function carModal() {
        loadGridCarModal();
        $('.modal').on('shown.bs.modal', function () {
            $('#txtsearchCarModal').focus();
        });
        $('#myModalCar').modal({show: true});
    }

    //เลือกหมวดจาก modal
    function carModalSelect(id, code) {
        $('#Plb_car_id').val(id);
        $('#car_code').val(code);
        $('#myModalCar').modal('hide');
    }

    //รันเลขที่เอกสาร
    function docrun() {
        var p = {};
        p['docprefix_id'] = '6';
        $.ajax({
            data: p,
            url: "<?php echo Yii::app()->createUrl('docrun/ajaxGetDocNo') ?>",
            type: 'POST',
            dataType: 'json',
            success: function (data) {
                $('#Plb_docno').val(data.docno);
            },
            error: function () {
                bootbox.alert(artalert('danger', 'ไม่สามารถทำรายการได้ กรุณาลองใหม่อีกครั้ง !!'));
            }
        });

        return true;
    }
</script>